VLF Deployment Check Lists

What type of Visual LANSA Framework Application have you created?

Windows Rich Client |  |  |  | Web Browser
ê | ê |  |  | ê | ê
Stand Alone Check List/Planning Sheet => WIN1 | Client/Server
 | ê | ê
 | Deploying the Client Part Check List/Planning Sheet => WIN2 | Deploying the Server Part |  | IBM i server Check List/Planning Sheet => WEB1 | Windows web server Check List/Planning Sheet => WEB2A or Check List/Planning Sheet => WEB2B
 |  | ê | ê
 |  | IBM i server Check List/Planning Sheet => WIN3 | Windows server Check List/Planning Sheet => WIN4
 | ê | ê |  | ê | ê
 | RAMP-NL addendum Check List/Planning Sheet => WIN-RAMP-NL | RAMP-TS addendum Check List/Planning Sheet => WIN-RAMP-TS |  | RAMP addendum Check List/Planning Sheet => WIN-RAMP-TS or Check List/Planning Sheet => WIN-RAMP-NL
 |  |  |  | ê
 |  |  |  | VLF.NET addendum Check List/Planning Sheet => WEB-NET

The information in this guide is intended as a foundation on which users can build their site-specific deployment procedures.

Disclaimer: While every effort has been made to ensure that the information in this material is accurate, in no event shall LANSA be liable for any damages arising from its use. LANSA MAKES NO WARRANTIES, EXPRESSED OR IMPLIED.

Edition Number EPC132100

Edition Date November 16, 2014

© 2014 LANSA

Check List/Planning Sheet => WEB1

Check List/Planning Sheet => WEB2A

Check List/Planning Sheet => WEB2B

Check List/Planning Sheet => WEB-RAMP-TS

Check List/Planning Sheet => WEB-RAMP-NL

Check List/Planning Sheet => WEB-NET

Check List/Planning Sheet => WIN1

Check List/Planning Sheet => WIN2

Check List/Planning Sheet => WIN3

Check List/Planning Sheet => WIN4

Check List/Planning Sheet => WIN-RAMP-TS

Check List/Planning Sheet => WIN-RAMP-NL


Check List/Planning Sheet => WEB1

Overview

WEB1, Step 1. Pre-Requisite Actions and Other Considerations

WEB1, Step 2. Package the Deployment Material on the Source System

WEB1, Step 3. Move the Deployment Material to the Target System

WEB1, Step 4. Install the Deployment Material on the Target System

WEB1, Step 5. Post-Requisite Actions and Other Considerations


Overview

This check list shows the steps required to deploy a Framework web application on a Series i server.


WEB1, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

LANSA for the Web license.

If you need more information, see <a href="http://www.lansa.com/support/licensing/index.htm" class="LinkHyperlink">http://www.lansa.com/support/licensing/index.htm</a>.

A Framework application ready for deployment

You need to have an executable version of your Framework application ready for deployment

For more information see: <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_3430.htm','main');"> Deploying a Framework Version </a> in the Framework Guide.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WEB1, Step 2. Package the Deployment Material on the Source System

When you have completed these steps, you will have a single composite save file named Bnn_ALL that contains everything from your IBM i that is to be deployed.

Step

Activity

How to Do It

ü

Assign a build number

Assign a build number nn to the version of your product being released. This number will be used in the following steps for a file naming convention.

Optionally include VLF.NET objects

If you want to compile the Framework as a .NET executable, you need to save it with the VLF.NET feature selected.

See <A HREF="webnet_0025.htm">Create VLF.NET Objects to be Included in the Deployment Package</A>.

Include LANSA server objects (typically on the IFS)

Create a save file for holding server objects.

Include the following standard LANSA Server objects:

· Images

· Javascripts

· HTML files

· XML Files

· CSS Files

Create an IBM i save file called, for example, Bnn_IFS (where nn is your version number) using the CRTSAVF command.

Save from the IBM i IFS all objects of the listed types into this save file using the SAV command. This will include LANSA and non-LANSA objects. In a typical installation you would include all the files in the images folder.

See Notes on the SAV and RST commands.

Make sure these files are included:

VF_*.*

FP_*.*

UF*.*

Also include your own server objects.

If you are using RAMP, include the objects in the package. See <A HREF="webrampts003.htm">Prepare your RAMP-TS Screen Definitions For Deployment</A> or <A HREF="lansa047_0025.htm">Add RAMP-NL Objects to the Deployment Package</A>.

If you are deploying VLF.NET applications, see <A HREF="webnet_0030.htm">Add VLF.NET Objects to the Deployment Package</A>.

Include your own non-LANSA objects

If your application contains non-LANSA objects, create save files containing them. Non-LANSA objects are:

· RPG Programs

· DDS Files

· Cobol Programs

· DB2 files

· Data Areas

· Data Queues

Create as many IBM i save files named Bnn_OM1, Bnn_OM2, etc as required to contain other non-LANSA IBM i objects.

Save all non-LANSA objects into the Bnn_OM1, 2, 3 … n save files files using the SAVOBJ command.

Create an IBM i Export List | Create a LANSA export list named Bnn_ALL. | Use the option Work with lists of objects to be exported of the LANSA Housekeeping menu to create the export list.
Include your own LANSA objects in the export list | Include your own LANSA objects such as filters, command handlers etc. | Use the options in the Work with Export List menu to make sure all the objects used in your application are included in the export list.
Include save files in the export list | Include the save files you have created in the export list | Use option Add other/non-LANSA objects to the list. Use F20 to find the files.

Include all the standard Framework objects in the export list | Use F8 to make generic selections when adding objects to the export list. |
 | Fields: | FP_E* FP_R* UB* UF_* VF_*
 | Files (Include data in the files) | FPTAB FPTABU VFPPF06 VFPPF07
 | Processes/functions: | UF_* VF*
 | Other/non-LANSA: (Type *SRVPGM) | U_BIF985
 | Web HTML components: | FP_R* UB_* VF_*
 | Weblets: | FP* UB* VLF_LAYOUT
 | Visual LANSA components: | FP_* VF_AW* VF_LW* VF_SW* VFW*
 | Review the export list and make sure included objects are exported compiled (if applicable). | Specify Y in the Comp Form column of processes, functions, VL components etc. Save the list (F19).

Export the list

Create a save file Bnn_ALL for your export list using the CRTSAVF command.

Export your export list to the save file using option 7 (= Export) in the Work with Export Lists menu

Notes on the SAV and RST commands


Notes on the SAV and RST commands

You will need to use the SAV and RST commands to save and restore all your objects to and from the save file (the SAVOBJ and RSTOBJ commands cannot be used for IFS objects because these commands are used to save IBM i objects that reside in libraries.)

In the following example:

· SAV will save a large number of the required files from the images folder and a private folder called VLF_Private_Development.

· The save also includes all the RAMP-NL deployment cab files contained in a directory called RAMP_NewLook.

· The target save file is called IFSSave.

You can use this example as a starting point for building your own SAV commands, but you need to ensure that the command contains the path and name of the save file you have created, all the files required for your site, and that the path names are correct.

If you wish to enter this command freehand from the command line, use CALL QCMD. Pressing F11 from within QCMD will provide you with space to enter the SAV command with many objects.

SAV DEV('/QSYS.lib/QGPL.lib/B01_IFS.file')

OBJ(('/LANSA_vlfpgmlib/webserver/images/ VF_*.*')

('/LANSA_vlfpgmlib/webserver/images/VLF_Private_Development/VF_*.*')

('/LANSA_vlfpgmlib/webserver/images/VLF_Private_Development/FP_*.*')

('/LANSA_vlfpgmlib/webserver/images/VLF_Private_Development/UF_*.*')

('/LANSA_vlfpgmlib/webserver/images/VLF_Private_Development/RAMP_NewLook/*'))

If there is not enough space to specify all the objects you require, you can create more than one save file. For example you could create one save file for objects in the Images folder and another one for objects in the private working folder.

Check the save file using the DSPSAVF command (press Enter to display the objects in the subsequent directories until you've reached the end of the file).

To restore the saved objects to another IFS directory from the save file (IFSSave), you need to issue three RST commands - one for each save directory. Please note that the target directories must already exist on the IFS when running the RST.

The following RST will restore the objects in the saved images directory to a directory of the same name on the target system.

RST DEV('/qsys.lib/vlfpgmlib.lib/B01_IFS.file') OBJ(('/LANSA_vlfpgmlib/webserver/images'))

The following RST will restore the objects in the saved private folder (VLF_Private_Development) to a new private folder on the target system called VLF_Private_Production.

RST DEV('/qsys.lib/vlfpgmlib.lib/B01_IFS.file') OBJ(('/LANSA_vlfpgmlib/webserver/images/VLF_Private_Development' *INCLUDE '/LANSA_vlfpgmlib/webserver/images/VLF_Private_Production'))

The following RST will restore the objects in the saved RAMP_Newlook folder to a new folder on the target system.

RST DEV('/qsys.lib/vlfpgmlib.lib/B01_IFS.file')

OBJ(('/LANSA_vlfpgmlib/webserver/images/VLF_Private_Development/RAMP_NewLook' *INCLUDE '/LANSA_vlfpgmlib/webserver/images/VLF_Private_Production/RAMP_NewLook'))

This SAV command saves all files named screens.jsn from folder axes/ts/screens and any private working definition sub-folders into a save file named RAMPTSF in library QGPL:

SAV DEV('/qsys.lib/qgpl.lib/RAMPTSF.file') OBJ(('/axes/ts/screens/')) PATTERN(('screens.jsn'))


WEB1, Step 3. Move the Deployment Material to the Target System

There are many ways to physically deploy the Bnn_ALL save file:

· Tape for IBM i

· CD for an IBM i

· CD for a PC

· E-mail

· Web site download

Moving an IBM i file to a PC or from a PC


Moving an IBM i file to a PC or from a PC

The commands XFLRTOSAVF and XSAVFTOFLR are useful when you want to move an IBM i save file to a PC (or vice versa). For example, the deploy cycle might be:

Step | Activity | How to Do It
Transform the deployment save file to a PC file on the IFS | Use XSAVFTOFLR command to create Bnn_ALL.SAV in any directory on the IFS (e.g. /temp) from the Bnn_ALL save file. | XSAVFTOFLR PATH('/temp/Bnn_ALL.SAV') FILE(MYLIB/Bnn_ALL)
Copy the file to a PC folder and zip it | Copy Bnn_ALL.SAV to a PC folder and then zip up to produce Bnn_ALL.ZIP. |
Move to target system | Move Bnn_ALL.ZIP like any file – copy, e-mail, web site download, CD, etc. |
Unzip | At the target unzip Bnn_ALL.ZIP to produce Bnn_ALL.SAV |
Copy to IFS | Copy Bnn_ALL.SAV to any directory on the IFS (e.g. /temp). |
Transform to save file | Use XFLRTOSAVF to transfer Bnn_ALL.SAV into IBM i save file named Bnn_ALL The file is now ready to be imported. | XFLRTOSAVF PATH('/temp/Bnn_ALL.SAV') FILE(MYLIB/Bnn_ALL)


WEB1, Step 4. Install the Deployment Material on the Target System

Step

Activity

How to Do It

ü

Install LANSA for the iSeries on the target IBM i server

From the LANSA CD install LANSA for the iSeries.

Note that the LANSA system has to be on the same version and EPC level as the system on which the deployment material was created.

Also install LANSA for the Web.

Follow the instructions in <A HREF="javascript:void(0);openCHM('lansa040.chm','main');"> Installing LANSA on IBM i Guide </A>.

If deploying a VLF.NET Application, install Microsoft's .NET Framework on end-user PCs

See <A HREF="webnet_0045.htm">Install Microsoft's .NET Framework on end-user PCs</A>.

Verify that L4Web is installed and operational on the target system

Make sure the partition is web enabled. Execute a LANSA for the Web process or function.

Make sure that your HTTP server is configured to support server side includes

For example, if your HTTP Server configuration is called DEVINST you can execute this command in an IBM i command line:

WRKHTTPCFG DEVINST

Browse through the configuration details and make sure that it includes an entry like this one:

Imbeds On html

If it doesn't and you are not confident of adding it yourself, contact your IBM i administrator to add such an entry. When your HTTP server configuration has been changed, you generally need to stop and restart it before the changes take effect.

Ensure that Extended Exchange is enabled

The Enable Extended Exchange option needs to be selected.

Using the LANSA for the Web Administrator, connect to your server system.

From the Tools menu, choose Configure System. Select Miscellaneous tab and verify that Enable Extended Exchange is enabled (that is, the checkbox is checked).

If using VLF.NET, ensure IBM i Apache server configuration is correct

Some minor configuration changes may need to be made to the MIME types control table on IBM i Apache servers so that the files are served correctly.

Use the Apache administration browser interface (*ADMIN instance in port 2001) and click on Content Settings link.

In the MIME tab, click on the ADD button to add the following Content-type entries:

File Extension - Value

application - application/x-ms-application

manifest - application/x-ms-manifest

deploy - application/octet-stream

Or if editing the configuration file with a text editor, in the relevant section add these lines:

AddType application/x-ms-application application

AddType application/x-ms-manifest manifest

AddType application/octet-stream deploy

Create a private working folder for the Framework

You need to create a <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/vlf1995.htm','main');">Private Working Folder</A> to upload the files required to run the Visual LANSA Framework in the browser.

Create this directory as a subdirectory of the LANSA for the Web images directory on your web server.

For example, if your LANSA for the Web images directory was named IMAGES, you might create a directory named <C:\Program Files\<LANSA>\Webserver\ IMAGES\VLF_Private_Folder.

The private working directory needs to be accessible via your web browser. To test, enter a URL like this:

http://<your host>/images/VLF_Private_Folder

Where <your host> is the IP address of your LANSA for the Web server.

·

Import deployment material to the application server

Use LANSA's import facility to install everything from the save file Bnn_ALL to the appropriate partition on the target machine.

Use the option Import objects into this partition of the LANSA Housekeeping menu. Check that the import was successful.

Restore IFS objects

Restore all objects from Bnn_IFS into the images and the private working folders on the target system's IFS.

If you are using RAMP-NL, restore the RAMP objects.

Either use RST commands or a call to CL program.

See Notes on the SAV and RST commands.

If you are deploying RAMP-TS, see <A HREF="webrampts004.htm">Install your RAMP-TS Screen Definitions at the Deployment Target</A>.

Restore the non-LANSA objects

If your application contains non-LANSA objects, restore everything from the Bnn_OMn files into the appropriate IBM i library on the target system.

Use the RSTOBJ command to restore library-based objects from the save file. For example:

RSTOBJ OBJ(*ALL) SAVLIB(B01_OM1) DEV(*SAVF) SAVF(B01_OM1)

Create a directory to keep temporary files in

You need to create a working folder to keep temporary Framework files in.

Create this directory as a subdirectory of the LANSA for the Web image directory (typically called IMAGES).

For example, if your LANSA for the Web images directory is named IMAGES, you might create a directory on the IBM i named:

/LANSA_vlfpgmlib/webserver/images/VLF_Temporary_Files

If you want more information, see <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_0545.htm','main');">What is a temporary directory and what is it used for?</A>

Verify that the temporary directory is accessible to Web Browsers

For example if you created VLF_Temporary_Files as a subdirectory of real directory IMAGES or LANSAIMG (in pre version 11.0 versions of LANSA) open your Internet browser and in the address bar type:

http://<your host>/images/VLF_Temporary_Files/

Where <your host> is the IP address of your LANSA for the Web server.

The browser should display the contents of directory VLF_Temporary_Files in directory IMAGES or LANSAIMG.

Note: Your web server will interpret the real directory name LANSAIMG as virtual directory name /IMAGES/.

Execute the Administrator's Console to specify your system settings

Use the Administrator's Console to maintain system settings and clear temporary state data.

To execute the Administrator's Console, run this URL from an Internet Explorer workstation:

http://<your host>/cgi-bin/lansaweb?procfun+vf_pr004+vfu0402+<ppp>

Where <your host> is the IP address of your LANSA for the Web server and <ppp> is the partition to be used.

Click the Save and Verify Values button to save these system settings. The resulting web form should indicate that all the tests performed were PASSED.

Use these system settings:

Is the Framework Available?: Yes

Message when Framework not available: A message to show to users when all Frameworks using this partition are disabled.

Real directory for temporary files, for example:

/lansaimg/VLF_Temporary_Files/

Virtual directory for temporary files:/images/VLF_Temporary_Files/

If you need more information see <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_2240.htm','main');">Execute Administrator's Console</A>.

Verify the software installation was okay

To verify the LANSA for the Web component of the installation or upgrade was okay start Internet Explorer and execute this URL:

http://<your host>/cgi-bin/lansaweb?procfun+vf_pr004+vfu0401+<ppp>

The resulting window will show you details about the installed Framework.

Execute the Framework application

Execute the Framework application.

Note that you need to explictly indicate the partition to which you have deployed the application, otherwise you will be executing the Framework against your development partition.

You can do this by specifying the partition name in the URL as in the examples on the right, or you can open the vf_Sy001_System_xxx_xxx.htm file and change the value of the var __Partition setting to point to the partition.

Also see the topic <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_2915.htm ','main');">The URL to start my deployed VLF web browser application is too complex for users to reliably type in to their browsers </A> in the Framework guide.

Typically starting URLs are formatted like this example:

http://nnn.nnn.nnn.nnn/../vf_Sy001_System_ENG_BASE.htm?partition=ppp

For example:

http://<your host>/images/Private/vf_sy001_system_ENG_BASE.HTM?partition=mpx

If the application does not execute, see the messages in x_err.log and run a trace. For example:

http://<your host>/images/Private/vf_sy001_system_ENG_BASE.HTM?trace=y+developer=y

We recommend you have a look at <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0900.htm','main');">Web Application Start Options</A> in the Framework guide to see what you can do when you launch the application.


WEB1, Step 5. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Security considerations

Consider making some important files read-only for web browser access.

Typically this is done by the web site administrator at the folder level.

For example, and as a minimum, XML system definition files and Javascript files should always be set up individually or on a folder basis as read-only to prevent unauthorized modification of their content.

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications


Check List/Planning Sheet => WEB2A

Overview

WEB2A, Step 1. Pre-Requisite Actions and Other Considerations

WEB2A, Step 2. Package the Deployment Material on the Source System

WEB2A, Step 3. Move the Deployment Material to the Target System

WEB2A, Step 4. Install the Deployment Material on the Target System

WEB2A, Step 5. Post-Requisite Actions and Other Considerations


Overview

This check list shows the steps required to deploy a Framework web application to a Windows web server with the target LANSA system on a Windows machine.


WEB2A, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

LANSA for the Web license.

The license needs to be on the Windows application server.

No licences are required on the Windows web server machine.

If you need more information, see <a href="http://www.lansa.com/support/licensing/index.htm" class="LinkHyperlink">http://www.lansa.com/support/licensing/index.htm</a>.

WAM support

If you intend to use WAMs, you need Internet Explorer V6.0 (or higher) and the MSXML 4.0 SP2 parser installed.

A Framework application ready for deployment

You need to have an executable version of your Framework application ready for deployment

For more information see: <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_3430.htm','main');"> Deploying a Framework Version </a> in the Framework Guide.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WEB2A, Step 2. Package the Deployment Material on the Source System

Step

Activity

How to Do It

ü

Assign a build number

Assign a build number nn to the version of your product being released. This number will be used in the following steps for a file naming convention.

Optionally include VLF.NET objects

If you want to compile the Framework as a .NET executable, you need to save it with the VLF.NET feature selected.

See <A HREF="webnet_0025.htm">Create VLF.NET Objects to be Included in the Deployment Package</A>.

Zip up server objects

Create a zip file and include all standard server objects and your own server objects:

· Images

· Javascripts

· HTML files

· XML Files

· CSS Files

· Dlls

Create a .zip file called, for example, Bnn_Webserver.zip (where nn is your version number), and include files from the LANSA for the L4web <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/vlf1990.htm','main');">Images Folder</A> and your <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/vlf1995.htm','main');">Private Working Folder</A> (which normally resides under your images folder).

Make sure these files are included:

VF_*.*

FP_*.*

UF*.*

Also include your own server objects.

If you are deploying VLF.NET applications, see <A HREF="webnet_0030.htm">Add VLF.NET Objects to the Deployment Package</A>.

In a typical installation you would include all the files under the images folder (including the private working folder), so you may simply decide to zip up the entire contents of the images folder.

However, it is important that the objects end up in the right directories on the target machine, so if you are not using the same directory names, you may want to create two zip files - one containing the objects in the images folder (excluding the private working folder images) and another zip file containing the files in your private working folder.

Start the Deployment Tool

Logon to Visual LANSA and start the Deployment Tool.

Start Visual LANSA and logon to the partition containing the application to be deployed.

Ensure that you use a user profile which is authorized to the objects that are being deployed.

From the Tools ribbon, select the Deploy button. The Visual LANSA Deployment Tool's main window will open.

Create a Deployment Tool application and package

Create an application and a package using the Deployment Tool.

Do not use any template.

Click on the New Application button on the tool bar or select the New command from the Application menu.

Fill in the application details.

Click OK. You are prompted to create a Package. Fill in the package details and click OK.

The Package Control Panel is displayed

Set the Deployment option

Set the deployment option of the package to Self-Extracting Zip.

If you select another deployment option, this check list may not work.

Display the Deployment Option window by clicking on the Deployment button.

Specify package settings

Because the package will be deployed to a system which already has Visual LANSA installed on it, you may choose the option to move the LANSA code over as well as the runtime objects:

· Deploy to Development System

Click on the Package Settings button on the toolbar to display the Package Settings window.

Decide what execution parameters need to be prompted

If you want to prompt for a setup parameter when the package is installed, enable the prompting by selecting the parameter and checking the Prompt during installation option.

Because you are deploying to a system that already has Visual LANSA installed on it, in general you can use the default values.

For example, to enable the Prompting of the Target Directory option, double-click the parameter and select the Prompt during SETUP check box in the window which is displayed.

Configure the database

Specify a name for the database to be installed on the target system in the Data Source Name (DBII=) entry or check it as Prompt in Setup.

You should also confirm that the database user ID and password are correct.

Do not select the Check for Installed Database, Adaptive Server Anywhere Install, and the Ask Adaptive Server Anywhere options.

·

Add LANSA programs

Add all the LANSA programs in your application.

Add forms starting with FP_*, UF_* and VF_*.

Add reusable parts starting with FP_*, UF_* and VF_*.

Add Web Components starting with FP_R*, UB*, VF_*and VFW*.

Add Weblets starting with FP*, UB* and VLF_LAYOUT .

(If you want to be able to run the demonstration system, include all forms and reusable parts starting with DM_* and DW* and process DF_PROC, and the *.htm, *.bmp and *icon files required.)

Include process VF_PR001, VF_PR002, VF_PR004, UF_SYSWB, VF_PROX1 and UF_SYSBR with all their functions.

Click on the Select Repository Objects button. Drag the objects you want to include to the area on the right.

Then select all the objects on the right and select the Cross-Reference icon above the selected components. A new dialog will open to allow you to select the cross-reference settings.

Ensure all required object types are selected

Add Other Framework Objects

Locate your XML files in the execute directory of your partition (for example C:\Program Files\LANSA\X_WIN95\X_LANSA\x_DEM\execute).

Add these files to the package (if you have saved your Framework definitions with other names, add the corresponding XML files):

· vf_sy001_system.xml

· vf_sy001_users.xml (if using)

· vf_sy001_servers.xml

· vf_sy001_tables.xml

If you want to deploy default Virtual Clipboard content, select VF_Framework_Virtual_Clipboard_Default.dat and/or VF_User_Virtual_Clipboard_Default.dat.

Bring up the Other Objects tab.

Double-click Non-LANSA Objects to browse for the objects. Make sure you are browsing in the LANSA system you are currently using.

Note that the Deployment Tool does NOT default to the current system and partition, you have to select them manually.

Select the objects and click OK.

Then set the path where the objects are to be installed:

· Use DFTPATH as the Installation Path Id (for example *PART_DIR_EXECUTE)

Include your objects

Add your objects (filters, command handlers etc.), multilingual text variables, system variables, message files, files, processes, functions and images used in the application.

Click on the Select Repository Objects button on the toolbar.

Ensure that all non-LANSA objects have correct installation paths specified for the target machine.

Include your web server objects

Add the Bnn_Webserver.zip file or files that you created earlier to store the files from your images and private working folders.

Note that when you install the package on the target system, the zip file(s) will be placed in the partition execute folder of your target LANSA system.

Bring up the Other Objects tab.

Double-click Non-LANSA Objects to browse for the objects.

Add an icon

Add an icon to be used with the shortcut created on the target machine when the package is installed.

Click on the Application Icon button on the toolbar of the Package Control Panel. Select an icon.

Choose Desktop settings

Choose the Desktop settings depending on your preferences.

For example, you may want to select these options:

· Create Communications Administration Shortcut

· Create ODBC Administration Shortcut

Save the package

Save the package definition.

Build the package

Check and build the package.

Your application package is created in the X_APPS\PackageName directory (for example. C:\Program Files\LANSA\X_WIN95\X_LANSA\ X_APPS\PackageName).

Select the Check Package option in the Options menu. The message you receive should tell that no errors were encountered.

Click on the Build button. Wait for the package compilation to complete.

Note that if you are working in a partition that has not been enabled for full RDMLX, you may see errors saying that the copy of some dlls has failed. Just ignore the messages.


WEB2A, Step 3. Move the Deployment Material to the Target System

Move the deployment material to the target system

Copy the msi file (packagename_v1.0.0_en-us.msi) in the package folder (\X_WIN95\X_LANSA\x_apps\packagename\) to the required destination media such as CD, network server etc.

(Note: Do not copy the entire package directory.)

Moving an IBM i file to a PC or from a PC


WEB2A, Step 4. Install the Deployment Material on the Target System

Note that in most production configurations the Windows web server and the Windows application server are two separate machines.

Step

Activity

How to Do It

ü

Install Visual LANSA from CD

On the target application server install Visual LANSA either as an Independent Workstation or Independent Server.

During the installation, in the Partition Initialization dialog select:

· Visual LANSA Framework

· Enable for the Web

· You might want to also select the demonstration system in order to test your LANSA installation.

NOTE: if your application uses WAMs, you must first install Visual LANSA, configure the partition to be RDMLX enabled and only then import Visual LANSA Framework using the Partition Initialize option from the Development Environment logon screen.

Accept default settings.

If you need more information, see <A HREF="javascript:void(0);openCHM('lansa041.chm','main');"> Installing LANSA on Windows Guide </A> and <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/vlf3075.htm','main');"> Visual LANSA Framework Guide</a>.

There is no need to configure the Visual LANSA Framework - simply import the Framework objects into your Visual LANSA system.

If deploying a VLF.NET Application, install Microsoft's .NET Framework on end-user PCs

See <A HREF="webnet_0045.htm">Install Microsoft's .NET Framework on end-user PCs</A>.

Install LANSA for the Web on the Windows server from CD

On the target Windows server install:

· LANSA for the Web Server

· LANSA for the Web Administrator

Install it to the same directory as Visual LANSA. If you have multiple LANSA systems, use the same LANSA configuration as for the LANSA for the Web system.

Accept default installation settings.

If you need more information, see <A HREF="javascript:void(0);openCHM('lansa041.chm','main');"> Installing LANSA on Windows Guide</A>.

Ensure you have a web license

Ensure the target application server has a Web license.

If you need more information, see <a href="http://www.lansa.com/support/licensing/index.htm" class="LinkHyperlink">http://www.lansa.com/support/licensing/index.htm</a>.

Configure LANSA for the Web | 1. Ensure IIS is running by entering this URL into the browser running on the Web Server: http://localhost | If you need more information, see <A HREF="javascript:void(0);openCHM('lansa041.chm::/iwinb3_0240.htm','main');">Microsoft IIS and the IIS Plug-in</a>. Use the iisreset command from a command window if you have problems.
 | 2. Make sure Microsoft Windows Script Host (WSH) is installed by locating the file wscript.exe. |
 | 3. Configure LANSA Listener on Windows Data/Application Server | Follow the steps in <A HREF="javascript:void(0);openCHM('lansa041.chm::/gs07220.htm','main');"> Configure LANSA Listener on Windows Data/Application Server</a>.
 | 4. Create User on Windows Data/Application Server | Follow the steps in <A HREF="javascript:void(0);openCHM('lansa041.chm::/gs07270.htm','main');">Create User on Windows Data/Application Server</a>.
 | 5. Configure Data/Application Server | Follow steps 1 and 2 in <A HREF="javascript:void(0);openCHM('lansa041.chm::/gs09000.htm','main');">Configure Data/Application Server</a>.
 | 6. Verify IIS Plug-in Communications with Data/Application Server | Follow the steps in <A HREF="javascript:void(0);openCHM('lansa041.chm::/gs07420.htm','main');"> Configure IIS Plug-in Communications with Data/Application Server</a>.
 | 7. Verify that the Web Server is ready to use. |

Verify that L4Web is installed and operational on the target system

Make sure the partition is web enabled. Execute a LANSA for the Web process or function.

Make sure LANSA for the WEB is configured to support Server Side Include

Use the LANSA for the Web Administrator to indicate that your system will use SSI.

Start the LANSA for the Web Administrator and open your local configuration. Choose the Maintain Systems option from the Tools menu.

Select the appropriate LANSA system and click on the Change button. Make sure the Server Side Include (SSI) support check box is checked.

Create a private working folder for the Framework

You need to create a <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/vlf1995.htm','main');">Private Working Folder</A> to upload the files required to run the Visual LANSA Framework in the browser.

Create this directory as a subdirectory of the LANSA for the Web images directory on your web server.

For example, if your LANSA for the Web images directory was named IMAGES, you might create a directory named <C:\Program Files\<LANSA>\Webserver\ IMAGES\VLF_Private_Folder.

The private working directory needs to be accessible via your web browser. To test, enter a URL like this:

http://<your host>/images/VLF_Private_Folder

Where <your host> is the IP address of your LANSA for the Web server.

If you cannot view the contents of this folder you need to enable it for directory browsing within your web server.

For IIS web servers, this may be done by:

· Opening Internet Information Services from Administrative Tools in the Control panel

· Selecting the images directory from the list of web sites

· Displaying the properties of the directory and checking the 'Directory Browsing' box.

·

Create a directory to keep temporary files in

You need to create a directory to keep temporary Framework files in.

Create this directory as a subdirectory of the LANSA for the Web image directory (typically called IMAGES).

For example, if your LANSA for the Web images directory is named IMAGES, you might create a directory named:

<C>:\Program Files\<LANSA>\Webserver\ IMAGES\VLF_Temporary_Files

If you want more information, see <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_0545.htm','main');">What is a temporary directory and what is it used for?</A>

Verify that the temporary directory is accessible to Web Browsers

For example if you created VLF_Temporary_Files as a subdirectory of real directory IMAGES or LANSAIMG (in pre version 11.0 versions of LANSA) open your Internet browser and in the address bar type:

http://<your host>/images/VLF_Temporary_Files/

Where <your host> is the IP address of your LANSA for the Web server.

The browser should display the contents of directory VLF_Temporary_Files in directory IMAGES or LANSAIMG.

Note: Your web server will interpret the real directory name LANSAIMG as virtual directory name /IMAGES/.

Install the deployment material

Install the package by double-clicking the package .MSI file to the same directory where you have installed the LANSA system (for example C:\Program Files\<LANSA>).

The setup program automatically launches the Framework. When the Framework is first launched executable files are copied and the Framework is displayed.

The application is ready to be used.

If you encounter problems during the installation, check the MSI*.log file in the end user's defined %TEMP% folder, for example: MSI2ce4c.log.

As well as installing the Application, a standard Windows program menu folder will be created for each Application using the Company and Application descriptions as folder names. This means that every Application built with the same Company details and installed on the same PC will be grouped together.

Unzip your server files files to the web server

Unzip the Bnn_webserver.zip file(s) and move the appropriate files to the images folder and the private working folder.

It is important that the files end up in the correct directory.

Execute the Administrator's Console to specify your system settings

Use the Administrator's Console to maintain system settings and clear temporary state data.

To execute the Administrator's Console, run this URL from an Internet Explorer workstation:

http://<your host>/cgi-bin/lansaweb?procfun+vf_pr004+vfu0402+<ppp>

Where <your host> is the IP address of your LANSA for the Web server and <ppp> is the partition to be used.

Click the Save and Verify Values button to save these system settings. The resulting web form should indicate that all the tests performed were PASSED.

If you cannot display the console, make sure that the listener is started in the Communications Administrator.

Use these system settings:

Is the Framework Available?: Yes

Message when Framework not available: A message to show to users when all Frameworks using this partition are disabled.

Real directory for temporary files, for example:

C:\Program Files\<LANSA>\WebServer\Images\VLF_Temporary_Files\

Virtual directory for temporary files:/images/VLF_Temporary_Files/

If you need more information see <A HREF="javascript:void(0);openCHM(' lansa048.chm::/lansa/lansa048_2285.htm','main');">Execute Administrator's Console</A>.

Verify the software installation was okay

To verify the LANSA for the Web component of the installation or upgrade was okay start Internet Explorer and execute this URL:

http://<your host>/cgi-bin/lansaweb?procfun+vf_pr004+vfu0401+<ppp>

The resulting window will show you details about the installed Framework.

Execute the Framework application

Execute the Framework application.

Note that you need to explictly indicate the partition to which you have deployed the application, otherwise you will be executing the Framework against your development partition.

You can do this by specifying the partition name in the URL as in the examples on the right, or you can open the vf_Sy001_System_xxx_xxx.htm file and change the value of the var __Partition setting to point to the partition.

Also see the topic <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_2915.htm ','main');">The URL to start my deployed VLF web browser application is too complex for users to reliably type in to their browsers </A> in the Framework guide.

Typically starting URLs are formatted like this example:

http://nnn.nnn.nnn.nnn/../vf_Sy001_System_ENG_BASE.htm?partition=ppp

For example:

http://<your host>/images/Private/vf_sy001_system_ENG_BASE.HTM?partition=mpx

If the application does not execute, see the messages in x_err.log and run a trace. For example:

http://<your host>/images/Private/vf_sy001_system_ENG_BASE.HTM?trace=y+developer=y

We recommend you have a look at <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0900.htm','main');">Web Application Start Options</A> in the Framework guide to see what you can do when you launch the application.


WEB2A, Step 5. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Security considerations

Consider making some important files read-only for web browser access.

Typically this is done by the web site administrator at the folder level.

For example, and as a minimum, XML system definition files and Javascript files should always be set up individually or on a folder basis as read-only to prevent unauthorized modification of their content.

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications


Check List/Planning Sheet => WEB2B

Overview

WEB2B, Step 1. Pre-Requisite Actions and Other Considerations

WEB2B, Step 2. Package the Deployment Material on the Source System

WEB2B, Step 3. Move the Deployment Material to the Target System

WEB2B, Step 4. Install the Deployment Material on the Target System

WEB2B, Step 5. Post-Requisite Actions and Other Considerations


Overview

This check list shows the steps required to deploy a Framework web application to a Windows web server with the target LANSA system on an IBM i machine.


WEB2B, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

LANSA for the Web license.

The license needs to be on the IBM i application server.

No licences are required on the Windows web server machine.

If you need more information, see <a href="http://www.lansa.com/support/licensing/index.htm" class="LinkHyperlink">http://www.lansa.com/support/licensing/index.htm</a>.

A Framework application ready for deployment

You need to have an executable version of your Framework application ready for deployment

For more information see: <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_3430.htm','main');"> Deploying a Framework Version </a> in the Framework Guide.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WEB2B, Step 2. Package the Deployment Material on the Source System

Perform these steps on the development IBM i application server:

Step

Activity

How to Do It

ü

Assign a build number

Assign a build number nn to the version of your product being released. This number will be used in the following steps for a file naming convention.

Optionally include VLF.NET objects

If you want to compile the Framework as a .NET executable, you need to save it with the VLF.NET feature selected.

See <A HREF="webnet_0025.htm">Create VLF.NET Objects to be Included in the Deployment Package</A>.

Include your own non-LANSA objects

If your application contains non-LANSA objects, create save files containing them. Non-LANSA objects are:

· RPG Programs

· DDS Files

· Cobol Programs

· DB2 files

· Data Areas

· Data Queues

Create as many IBM i save files named Bnn_OM1, Bnn_OM2, etc as required to contain other non-LANSA IBM i objects.

Save all non-LANSA objects into the Bnn_OM1, 2, 3 … n save files files using the SAVOBJ command.

Create an IBM i Export List | Create a LANSA export list named Bnn_ALL. | Use the option Work with lists of objects to be exported of the LANSA Housekeeping menu to create the export list.
Include your own LANSA objects in the export list | Include your own LANSA objects such as filters, command handlers etc. | Use the options in the Work with Export List menu to make sure all the objects used in your application are included in the export list.
Include save files in the export list | Include the save files you have created in the export list | Use option Add other/non-LANSA objects to the list. Use F20 to find the files.

Include all the standard Framework objects in the export list | Use F8 to make generic selections when adding objects to the export list. |
 | Fields: | FP_E* FP_R* UB* UF_* VF_*
 | Files (Include data in the files) | FPTAB FPTABU VFPPF06 VFPPF07
 | Processes/functions: | UF_* VF*
 | Other/non-LANSA: (Type *SRVPGM) | U_BIF985
 | Web HTML components: | FP_R* UB_* VF_*
 | Weblets: | FP* UB* VLF_LAYOUT
 | Visual LANSA components: | FP_* VF_AW* VF_LW* VF_SW* VFW*
 | Review the export list and make sure included objects are exported compiled (if applicable). | Specify Y in the Comp Form column of processes, functions, VL components etc. Save the list (F19).

Export the list

Create a save file Bnn_ALL for your export list using the CRTSAVF command.

Export your export list to the save file using option 7 (= Export) in the Work with Export Lists menu

Perform these steps on the development Windows webserver:

Zip up server objects

Create a zip file and include all standard server objects and your own server objects:

· Images

· Javascripts

· HTML files

· XML Files

· CSS Files

· Dlls

Create a .zip file called, for example, Bnn_Webserver.zip (where nn is your version number), and include files from the LANSA for the L4web <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/vlf1990.htm','main');">Images Folder</A> and your <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/vlf1995.htm','main');">Private Working Folder</A> (which normally resides under your images folder).

Make sure these files are included:

VF_*.*

FP_*.*

UF*.*

Also include your own server objects.

If you are deploying VLF.NET applications, see <A HREF="webnet_0030.htm">Add VLF.NET Objects to the Deployment Package</A>.

In a typical installation you would include all the files under the images folder (including the private working folder), so you may simply decide to zip up the entire contents of the images folder.

However, it is important that the objects end up in the right directories on the target machine, so if you are not using the same directory names, you may want to create two zip files - one containing the objects in the images folder (excluding the private working folder images) and another zip file containing the files in your private working folder.


WEB2B, Step 3. Move the Deployment Material to the Target System

There are many ways to physically deploy the Bnn_ALL save file:

· Tape for IBM i

· CD for an IBM i

· CD for a PC

· E-mail

· Web site download

Moving an IBM i file to a PC or from a PC


WEB2B, Step 4. Install the Deployment Material on the Target System

Step

Activity

How to Do It

ü

Install LANSA for the iSeries on the target IBM i server

From the LANSA CD install LANSA for the iSeries.

Note that the LANSA system has to be on the same version and EPC level as the system on which the deployment material was created.

Also install LANSA for the Web.

Follow the instructions in <A HREF="javascript:void(0);openCHM('lansa040.chm','main');"> Installing LANSA on IBM i Guide </A>.

Note that because the web server will be on Windows there is no need to configure the web server on the IBM i.

If deploying a VLF.NET Application, install Microsoft's .NET Framework on end-user PCs

See <A HREF="webnet_0045.htm">Install Microsoft's .NET Framework on end-user PCs</A>.

Ensure you have a web license

Ensure the target application server has a Web license.

If you need more information, see <a href="http://www.lansa.com/support/licensing/index.htm" class="LinkHyperlink">http://www.lansa.com/support/licensing/index.htm</a>.

Install LANSA for the Web on the Windows server from CD

On the target Windows server install:

· LANSA for the Web Server

· LANSA for the Web Administrator

Accept default installation settings.

If you need more information, see <A HREF="javascript:void(0);openCHM('lansa041.chm','main');"> Installing LANSA on Windows Guide</A>.

Configure LANSA for the Web to use IBM i as the application server.

Using LANSA for the Web Administrator configure your web server to point to the LANSA system on your IBM i.

If you need more information, see <A HREF="javascript:void(0);openCHM('lansa041.chm','main');"> Installing LANSA on Windows Guide</A>.

Verify that L4Web is installed and operational on the target system

Make sure the partition is web enabled. Execute a LANSA for the Web process or function.

Make sure LANSA for the WEB is configured to support Server Side Include

Use the LANSA for the Web Administrator to indicate that your system will use SSI.

Start the LANSA for the Web Administrator and open your local configuration. Choose the Maintain Systems option from the Tools menu.

Select the appropriate LANSA system and click on the Change button. Make sure the Server Side Include (SSI) support check box is checked.

Ensure that Extended Exchange is enabled

The Enable Extended Exchange option needs to be selected.

Using the LANSA for the Web Administrator, connect to your server system.

From the Tools menu, choose Configure System. Select Miscellaneous tab and verify that Enable Extended Exchange is enabled (that is, the checkbox is checked).

Create a private working folder for the Framework

You need to create a <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/vlf1995.htm','main');">Private Working Folder</A> to upload the files required to run the Visual LANSA Framework in the browser.

Create this directory as a subdirectory of the LANSA for the Web images directory on your Windows web server.

For example, if your LANSA for the Web images directory was named IMAGES, you might create a directory named <C:\Program Files\<LANSA>\Webserver\ IMAGES\VLF_Private_Folder.

The private working directory needs to be accessible via your web browser. To test, enter a URL like this:

http://<your host>/images/VLF_Private_Folder

Where <your host> is the IP address of your LANSA for the Web server.

If you cannot view the contents of this folder you need to enable it for directory browsing within your web server.

For IIS web servers, this may be done by:

· Opening Internet Information Services from Administrative Tools in the Control panel

· Selecting the images directory from the list of web sites

· Displaying the properties of the directory and checking the 'Directory Browsing' box.

Create a directory to keep temporary files in

You need to create a working folder to keep temporary Framework files in.

Unlike the private folder, this folder must be created on the IBM i.

Create this directory as a subdirectory of the LANSA for the Web image directory (typically called IMAGES).

For example, if your LANSA for the Web images directory is named IMAGES, you might create a directory named:

/LANSA/webserver/images/VLF_Temporary_Files

Use the WRKLNK command to locate the WEBSERVER and IMAGES directories on your IBM i. Then use the CRTDIR command to create the folder.

If you want more information, see <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_0545.htm','main');">What is a temporary directory and what is it used for?</A>

Create a virtual directory on the web server to point to the temporary working folder on the IBM i

The temporary working directory needs to be accessible via your web browser.

Because you are using a Windows web server and the directory is on IBM i, you need to create a virtual directory on the web server that points to the real directory.

To do this you need to take the following steps (this example is done using IIS):

Step 1: From inside Internet Information Services select the Default Web Site directory and then Images.

Right-click and select New and then Virtual Directory.

Step 2: Provide the virtual directory with an Alias Name, such as VLF_Temporary_Files

Step 3: Next specify the real network directory that was just created on the IBM i to map it with the alias. Provide the real directory path in the following format: \\<iSeries>\root\webserver\images\VLF_Temporary_Files

When the virtual directory has been created, select it and right-click to display its properties.

Make sure the option "A share located on another directory" is selected.

Also make sure that the Read and Directory browsing boxes are checked.

Step 4: To provide a User ID and password to connect to this directory click on the Connect As… button in the properties of the directory. The user ID and password need to be the same for both the Windows web server and the IBM i (and remember, Windows User IDs and passwords are case sensitive, so ensure you take that into account when you set this up).

Step 5: To test this virtual directory, enter a URL like this:

http://<your host>/images/VLF_Temporary_Files

Where <your host> is the IP address of your LANSA for the Web Windows server.

The browser should be able to display the contents of directory VLF_Temporary_Files folder on the IBM i.

Note that if your IIS virtual directory is displayed with icon indicating an error, you can ignore it if you can display the contents of the directory.

Check that the authentication on the lansaweb.dll file is adequate

Because the lansaweb dll on Windows will be accessing the IBM i via the virtual directory to get the VLF XML pages, you need to make sure the authentication is adequate.

Expand the Default web site to locate the lansaweb resource. Single click on it to get the list of files on the right hand pane.

Right-click on lansaweb.dll and choose Properties.

In the File Security tab, in the Anonymous access and authentication control section click on the Edit button.

The Authentication Methods dialog is displayed.

Make sure the user is:

· A valid Windows user (i.e. a user that is able to log in to the server box).

· A valid IBM i user.

Note that the password must be the same for the Windows user and for the user in the IBM i.

Unzip your server files files to the web server

Unzip the Bnn_webserver.zip file(s) and move the appropriate files to the images folder and the private working folder.

It is important that the files end up in the correct directory.

Import deployment material to the application server

Use LANSA's import facility to install everything from the save file Bnn_ALL to the appropriate partition on the target machine.

Use the option Import objects into this partition of the LANSA Housekeeping menu. Check that the import was successful.

Restore the non-LANSA objects

If your application contains non-LANSA objects, restore everything from the Bnn_OMn files into the appropriate IBM i library on the target system.

Use the RSTOBJ command to restore library-based objects from the save file. For example:

RSTOBJ OBJ(*ALL) SAVLIB(qtemp) DEV(*SAVF) SAVF(B01_OM1)

Execute the Administrator's Console to specify your system settings

Use the Administrator's Console to maintain system settings and clear temporary state data.

To execute the Administrator's Console, run this URL from an Internet Explorer workstation:

http://<your host>/cgi-bin/lansaweb?procfun+vf_pr004+vfu0402+<ppp>

Where <your host> is the IP address of your LANSA for the Web server and <ppp> is the partition to be used.

Click the Save and Verify Values button to save these system settings. The resulting web form should indicate that all the tests performed were PASSED.

If you cannot display the console, make sure that the listener is started in the Communications Administrator.

Use these system settings:

Is the Framework Available?: Yes

Message when Framework not available: A message to show to users when all Frameworks using this partition are disabled.

Real directory for temporary files, for example:

/<LANSA>/webserver/images/VLF_Temporary_Files/

Virtual directory for temporary files:/images/VLF_Temporary_Files/

If you need more information see <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_2285.htm','main');">Execute Administrator's Console</A>.

Verify the software installation was okay

To verify the LANSA for the Web component of the installation or upgrade was okay start Internet Explorer and execute this URL:

http://<your host>/cgi-bin/lansaweb?procfun+vf_pr004+vfu0401+<ppp>

The resulting window will show you details about the installed Framework.

Execute the Framework application

Execute the Framework application.

Note that you need to explictly indicate the partition to which you have deployed the application, otherwise you will be executing the Framework against your development partition.

You can do this by specifying the partition name in the URL as in the examples on the right, or you can open the vf_Sy001_System_xxx_xxx.htm file and change the value of the var __Partition setting to point to the partition.

Also see the topic <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_2915.htm ','main');">The URL to start my deployed VLF web browser application is too complex for users to reliably type in to their browsers </A> in the Framework guide.

Typically starting URLs are formatted like this example:

http://nnn.nnn.nnn.nnn/../vf_Sy001_System_ENG_BASE.htm?partition=ppp

For example:

http://<your host>/images/Private/vf_sy001_system_ENG_BASE.HTM?partition=mpx

If the application does not execute, see the messages in x_err.log and run a trace. For example:

http://<your host>/images/Private/vf_sy001_system_ENG_BASE.HTM?trace=y+developer=y

We recommend you have a look at <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0900.htm','main');">Web Application Start Options</A> in the Framework guide to see what you can do when you launch the application.


WEB2B, Step 5. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Security considerations

Consider making some important files read-only for web browser access.

Typically this is done by the web site administrator at the folder level.

For example, and as a minimum, XML system definition files and Javascript files should always be set up individually or on a folder basis as read-only to prevent unauthorized modification of their content.

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications


Check List/Planning Sheet => WEB-RAMP-TS

Use this check list in conjunction with <A HREF="VLFDpl_0015.htm"> Check List/Planning Sheet => WEB1</A> when you are deploying a RAMP-TS application to an IBM i server.

Overview

WEB-RAMP-TS, Step 1. Pre-Requisite Actions and Other Considerations

WEB-RAMP-TS, Step 2. Prepare Your RAMP-TS Screen Definitions for Deployment

WEB-RAMP-TS, Step 3. Install your RAMP-TS Screen Definitions at the Deployment Target

WEB-RAMP-TS, Step 4. Post-Requisite Actions and Other Considerations


Overview

This check lists shows you how to include your RAMP-TS objects in a deployment package created as per the instructions in <A HREF="VLFDpl_0040.htm">Check List/Planning Sheet => WIN3</A>.


WEB-RAMP-TS, Step 1. Pre-Requisite Actions and Other Considerations

Step | Activity | How to Do It | ü
Licensing requirements for the target system | Axes-TS needs to be licensed on the target IBM i server. |  |

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WEB-RAMP-TS, Step 2. Prepare Your RAMP-TS Screen Definitions for Deployment

In your development environment your RAMP-TS screen definitions are kept in the Axes Screens folder, typically named \aXes\ts\screens. If you used Private Definition Folder(s) to segment your screen definitions, these will appear as sub-folders of the Axes screens folder.

Step

Activity

How to Do It

ü

Check definition files

Check that any example or testing static or dynamic table definitions have been removed from the respective definition files.

These would typically be unused in the application now - and may fail if they are deployed to a production environment.

Open the Tables_Static.txt and Tables_Dynamic.txt files in your private folder if you have one, or the axes\ts\screens folder, and remove any table definitions that are not required.

Add aXes files to a save file

Copy these files from your development Axes screens folder and/or any associated private definition to a save file:

· application_definition.css (plus application_definition_*.css)

· application_definition.js

· Extension_*.js

· screen_*.js

· screens.jsn

· Tables_Static.txt

· Tables_Dynamic.txt

· Userenv.js

· *.xml

Note that some of these files may not exist in your system.

Also include the uf_sy420_rts.js file if your application uses shared scripts. This file is located in the ts/skins folder or your private definition folder.

If the application is to be displayed in a language other than English, the modified text files, Texts_Cust_*.txt also need to be deployed.

Files named like N.scn represent a single 5250 screen definition. Normally these files are only used while doing RAMP-TS development and do not need to be deployed to execution/run time target systems. You would only include these files in the deployment package if you want to allow people in the target environment to modify screen definitions.

First create a save file using the CRTSAVF command, and then use the IBM i save command to save the files to the save file.

For example this command saves the contents of the /axes directory to a save file:

SAV DEV('/qsys.lib/savefilelib.lib/RAMPTSF.file') OBJ(('/axes'))

This command saves the contents of /axes and /axesdemo directory:

SAV DEV('/qsys.lib/savefilelib.lib/RAMPTSF.file') OBJ(('/axes') ('/axesdemo'))

This command saves the required files in a private folder to a save file:

SAV DEV('/QSYS.lib/QGPL.lib/RAMPTSF.file') OBJ(('/axes/ts/screens/MyFolder/application_definition*.css') ('/Axes/ts/screens/MyFolder/application_definition.js') ('/Axes/ts/screens/MyFolder/Extension_*.js') ('/Axes/ts/screens/MyFolder/screen_*.js') ('/Axes/ts/screens/MyFolder/screens.jsn') ('/Axes/ts/screens/MyFolder/Tables_*.txt') ('/Axes/ts/screens/MyFolder/Userenv.js') ('/Axes/ts/screens/MyFolder/*.xml') ('/Axes/ts/skins/uf_sy420_rts.js')) TGTRLS(V5R3M0)

If you wish to enter this command freehand from the command line, use CALL QCMD. Pressing F11 from within QCMD will provide you with space to enter the SAV command with many objects.


WEB-RAMP-TS, Step 3. Install your RAMP-TS Screen Definitions at the Deployment Target

Step

Activity

How to Do It

ü

Install Axes-TS on the target computer

Axes-TS needs to be installed on the target IBM i server.

See <A HREF="javascript:void(0);openCHM('lansa050.chm::/lansa/LANSA050_0180.htm','main');"> Install and Configure RAMP-TS/aXes-TS on your IBM i Server</a>.

Create application folder

On the target system, create an application folder as a subfolder of the \axes\ts\screens folder using the ibm i CRTDIR command.

The name of the folder can contain only letters from the English alphabet or numbers, no blanks.

For example to create folder MyApplication1 in \axes\ts\screens\ folder:

CRTDIR DIR('axes\ts\screens\myapplication1')

Set authorities

Use the IBM i WRKLNK command and make sure that folder MyApplication1 has *R rights for user *PUBLIC and no other rights.

Use WRKLNK OBJ('axes\ts\screens\ MyApplication1') then use option 9=Work with authority to display and alter the authority to folder MyApplication1.

Load tables

SQL commands may be used to load any static or dynamic tables in your application.

Check that the user the aXes server is executing under has READ authorisation to any required SQL/database tables.

The commands execute under the user profile that the aXes server is executing under.

You should authorise that user profile for read access to the SQL tables required for this purpose. This user does not need any rights to other data base tables that may be on the system.

Deploy the save file containing the aXes definitions to the target system

On the target system, use the IBM i RST command to restore the aXes files into the target system's application folder.

Warning: The restored screens.jsn file(s) contains all your RAMP-TS screen definitions.

If someone on the target system starts Axes as a developer/designer and attempts to identify a screen and save the definition, they will cause the screens.jsn file to be (re)published. This will effectively remove all the screen definitions from it except for the new screen they have just defined. In this case you would need to restore the screens.jsn file(s) again.

Note that aXes eXtensions that are to be used by all applications on this system should be placed in the axes/ts/screens folder of the target system, not to individual application folders.

If the same aXes eXtension exists in the screens folder and the application folder, the eXtension in the application folder should take precedence but can not be guaranteed so you should check whick version is being used.

To restore the save file use a command like this:

RST DEV('/qsys.lib/v11vlflib.lib/ramptsf.file') OBJ(('/Axes/ts/screens/MyFolder' *INCLUDE '/axes/ts/screens/myapplication1'))

The DEV parameter specifies the name and path of the save file.

The OBJ parameter specifies:

· First the folder from which the files were saved from

· *INCLUDE the objects that match the object name pattern

· Lastly the folder on the target system to which the files are to be restored.

Verify IE settings

Verify IE settings on every PC from which RAMP-TS is used.

See <A HREF="javascript:void(0);openCHM('lansa050.chm::/LANSA/LANSA050_2525.htm','main');">Verify Internet Explorer Security Settings</a> in the RAMP-TS Guide.


WEB-RAMP-TS, Step 4. Post-Requisite Actions and Other Considerations

Step | Activity | How to Do It | ü
Updating changes to 5250 screen definitions | When you add new 5250 screens to your RAMP application or modify the features of an existing screen, these changes are reflected in the screens.jsn file(s) which you will need to redeploy. | Completely or selectively repeat the appropriate steps in this guide. |

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications


Check List/Planning Sheet => WEB-RAMP-NL

Use this check list in conjunction with <A HREF="VLFDpl_0015.htm"> Check List/Planning Sheet => WEB1</A>.

Overview

WEB-RAMP-NL, Step 1. Pre-Requisite Actions and Other Considerations

WEB-RAMP-NL, Step 2. Create RAMP-NL Objects to be Included in the Deployment Package

WEB-RAMP-NL, Step 3. Add RAMP-NL Objects to the Deployment Package

WEB-RAMP-NL, Step 4. Post-Requisite Actions and Other Considerations


Overview

This section shows how to configure RAMP-NL to automatically deploy newlook for the end-user when they first log on to the system. This approach eliminates the requirement for local manual installation and configuration, thereby simplifying deployment maintenance.

The following activities should be developed and thoroughly tested on your server.

These notes indicate the usage of newlook Version 8.0. The steps for other releases of newlook are similar.

About configuring the Web RAMP-NL Application to Automatically Deploy Newlook

To automatically deploy newlook you simply point your browser at a nominated web page. If the browser detects that newlook has not been installed on the PC, it will automatically initiate the newlook ActiveX download with no user interaction required other than perhaps an ActiveX download confirmation screen, after which newlook is invoked.

The client PC does not require any specific software other than Windows and Internet Explorer.

When the client accesses its first RAMP-NL screen, it will download the newlook files to the local PC. For subsequent access, the files previously installed will be used. Any updates that are made to the web server will be downloaded and installed as required. In other words, only those files that have been updated are downloaded and installed, as opposed to the complete package.

Note that the ActiveX control will always request its licenses from the host. For newlook 8.0, a liteclient licence is required on the host.


WEB-RAMP-NL, Step 1. Pre-Requisite Actions and Other Considerations

Step | Activity | How to Do It | ü
LANSA for the iSeries, LANSA for the Web, and Visual LANSA Framework installed on the IBM i server. | You require a functioning Visual LANSA Framework system running in order to be able to use RAMP-NL. |  |
Newlook installed on the development computer | You will need to start with an full installation of Newlook on your development computer. A full installation means one that is installed from a newlook setup program and not a nlmain.cab file. |  |

Licensing requirements for the target system

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WEB-RAMP-NL, Step 2. Create RAMP-NL Objects to be Included in the Deployment Package

These steps need to be completed to create RAMP-NL objects to be included in the deployment package created in check list WEB1.

WEB-RAMP-NL, Step 2a. Create a RAMP_Newlook folder in the Private Working Folder

WEB-RAMP-NL, Step 2b. Copy newlook files to RAMP_Newlook folder

WEB-RAMP-NL, Step 2c. Create RAMP.cab file and copy it to the RAMP_Newlook Folder

WEB-RAMP-NL, Step 2d. Specify Codebase and Update File

WEB-RAMP-NL, Step 2e. Test the Automated Web Deployment Package


WEB-RAMP-NL, Step 2a. Create a RAMP_Newlook folder in the Private Working Folder

To deploy newlook automatically via the browser when running your RAMP-NL application, you will need to install some newlook objects onto your web server. The section recommends where to create a dedicated folder on your web server in which to place these objects. You must also confirm that the folder can be accessed via a browser as detailed below.

Step

Activity

How to Do It

ü

Prepare the web server

Create a new folder called RAMP_Newlook in the Visual LANSA Framework Private folder on your web server.

In the RAMP_NewLook folder, create a file named Test.txt. Add some text to your Test.txt file (any dummy text will work).

Make sure that you can access the RAMP_NewLook folder using your browser and view your test file.

To test this, type in the URL for the new RAMP_NewLook directory in a browser. For example:

http://wsrv/images/private/RAMP_Newlook/

Remove the test file

If the previous step is successful, you can now remove the Test.txt file (The above step was only used to confirm you have web access to the RAMP_NewLook folder.)


WEB-RAMP-NL, Step 2b. Copy newlook files to RAMP_Newlook folder

A number of CAB files plus a file that tells the server what to download need to be placed into the RAMP_Newlook folder on your web server.

Three of these files will need to be downloaded from the Look Software web site - please do not try to create these yourself. One reason for this is that these files are already digitally signed, so it will save you the problem of having to digitally sign them yourself. Also, these CAB files contain the information required to register the newlook AxtiveX on the target PC.

(There is one file, the RAMP.cab file, which you not download from the Look Software web site but will need to create yourself in the next step.)

Download the standard cab files from the Look Software site

Access the http://www.looksoftware.com/cab80/ site and download the following files:

· Newlook.cab

· Nlmain.cab

· Nlupdate.nlu

Place these files in the new RAMP_NewLook folder on your webserver.

Change the NewLook update file extension to .txt

Rename Nlupdate.nlu to Nlupdate.txt.

Note: Depending on your PC security settings, this file may have downloaded as Nlupdate.nlu.txt.

The reason we do this is because web servers recognize .txt files as safe, but may not recognize .nlu files as safe. Chances are that your users will encounter problems downloading the file if you leave the .nlu suffix.

Change the NewLook update file to point to the CAB files on your web server

newlook's automated web deployment is done by simply pointing the browser at a nominated web page.

When a browser detects that the newlook software has not been installed on the PC, it will automatically initiate the software download and then invoke newlook within the web page. The information in the nlpudate.txt file tells the system where to download the newlook CAB files from.

Open Nlupdate.txt file and modify its contents as follows:

Change all references to nlconfig.cab to RAMP.cab

Change the newlookDir value to "%ProgramFiles%/LANSA RAMP NewLook" or another meaningful name. This will become the directory that newlook is loaded into on the target PC.

Change the url values for the [nlmain.cab] and [RAMP.cab] cab files to reference where these files are located on your own web server.

Save your changes.

The resulting file will look something like this:

[newlook]

Update=nlmain.cab,RAMP.cab

newlookDir=%PROGRAMFILES%\LANSA RAMP newlook

[nlmain.cab]

Desc=newlook Program Files

Url=http://wsrv/images/private/RAMP_newlook/nlmain.cab

[RAMP.cab]

Desc=newlook Configuration Files

Url=http://wsrv/images/private/RAMP_newlook/RAMP.cab


WEB-RAMP-NL, Step 2c. Create RAMP.cab file and copy it to the RAMP_Newlook Folder

The RAMP cab file will contain the newlook.sid and newlook.ini configuration files. These are unique to a particular application. You need to create this file yourself then move it onto the RAMP_newlook directory on your web server.

Optionally reduce the size of newlook.SID file

Before you build your cab files it is recommended that you compact the newlook.SID file to make deployment of newlook to the target system faster.

Take a backup of the newlook.sid file as a precaution

Close any newlook sessions

Open a DOS prompt

Navigate to your newlook program files directory

To remove newlook developer features from the .SID file and build a new compacted .SID file type:

CHKSID -s newlook.SID

Or if for some reason you want to retain the developer features but build a compacted sid file, type:

CHKSID -r newlook.SID

Press <Enter>.

If you are asked whether you wish to delete corrupt items select 'Yes'. When the compression is complete, the original file is backed up to a file of the same name but with an extension of .BAK.

Please test that your RAMP-NL application executes correctly after you have performed these steps and before you build the CAB files.

Start the newlook Deployment Wizard

Locate file nldeploy.exe in the looksoftware 8.0 directory and start the application.

This application will be used to create the RAMP.cab file holding our own .SID and .INI files.

To start click Next.

Enter newlook path name

Enter the path name in which your newlook installation resides (the top-level directory which contains the files to be deployed).

Click Next.

For a default installation this will be C:\Program Files\looksoftware 8.0.

Use the default target path name

You may leave the default value as it is.

The value entered here is used in the nlupdate.nlu file created by this nldeploy.exe application. In WEB-RAMP-NL, Step 2b. Copy newlook files to RAMP_Newlook folder we created our own nlupdate.nlu (with the suffix changed to .txt), so we will not be using the one created by this application.

Our nlupdate.txt file already has set this value to %PROGRAMFILES%\LANSA RAMP newlook.

Create a new cab file called RAMP.cab

Create the definition for the CAB file that will contain your site specific information (that is, the .INI and .SID files).

Select the New button on the screen where you nominate the CAB files which will be available for download.

Specify cab file details

In the New CAB File Details dialog ensure that the Build custom CAB file box is checked

Specify any URL for the CAB file and give it the name RAMP.cab.

Specify a meaningful description of the contents, such as LANSA RAMP-NL Customization Files. The user will see this description during the install.

Click Next.

The URL could be for example:

http://wsrv/images/Private/RAMP_newlook/RAMP.Cab

Note: the path you specify here is not critical as it is used to build the nlupdate.nlu file created by this nldeploy.exe application. You have already created your own nlupdate.nlu (with the suffix changed to .txt), so you will not be using the one created by this application.

However, it is critical that the file name (as placed at the end of the URL) is specific as being RAMP.cab as the application will use this value to name the file.

Select customization files

Select the customization files to be included in the RAMP.cab file.

If you are using newlook default values, you need:

· newlook.ini

· newlook.sid

· VF_XP*.nlg file(s)

Usually you only need these files. If you have added any images to your newlook screens, you will need to add them as well.

Click Finish.

Select the files and click on the Add>> button.

Select the newly created cab file

The subsequent screen displays the list of cab files available. Select the cab file that you have just created (LANSA RAMP-NL Customization Files).

Select the newlook Update file

We recommend you also select newlook 8.0 Update cab file.

You do not require this file, but if you check this box you will avoid a warning message about nlocx.dll file not having been included when building the cab files.

Click Next.

Do not digitally sign the cab file

The next screen allows you to digitally sign your cab file. You do not need to sign this RAMP.cab file.

The CAB files that we downloaded from the Look Software web site in section WEB-RAMP: Step 2b are already signed.

Click Next.

Click Next

Ignore the command-line options and click Next.

Start building the cab files

You are now ready to build the RAMP.cab file.

Click Next.

Cab file generation completion screen is displayed

The Congratulations screen should appear next.

Click Finish.

Move the RAMP.cab file to the web server

You can now move your configuration file (RAMP.cab) from the looksoftware 8.0 directory to the RAMP_NewLook folder on you web server.

You will notice that some other files have been created, including an nlupdate.nlu file. The information in this nlupdate.nlu file does not contain all the information that we need for our download so it is important that you DO NOT copy them across to your web server.


WEB-RAMP-NL, Step 2d. Specify Codebase and Update File

You need to add a reference to the newlook.cab and nlupdate.txt files so that your application checks whether newlook is already installed on the user’s PC, and if not, downloads it from the RAMP_Newlook folder on your web server.

You can do this by specifying the codebase and update file:

· In the server definition or

· In the URL when executing your application

In the server definition in the Framework, specify:

codebase: RAMP_NewLook/newlook.cab#version=8,0,0,0

update file: RAMP_NewLook/nlupdate.txt

Alternatively you can specify the codebase and update file in the URL when executing the application using these parameters:

+NLCODEBASE=

+NLUPDATEFILE=

Note that prior to EPC831, the codebase and update file were specified by modifying the VF_SY120.js file.


WEB-RAMP-NL, Step 2e. Test the Automated Web Deployment Package

Test the deployment on a PC that does not have newlook installed.

You should do the following test on a PC that does not have newlook installed on it.

Warning: The testing of a web RAMP-NL application to automatically deploy newlook should NOT be done on your development machine.

This is so to avoid overriding your development settings, as well as to avoid any confusion in the testing raised by having a number of newlook environments installed on one PC. You should begin your testing on a clean system that does not have newlook installed.

Run your RAMP-NL application

Enter the URL of your RAMP-NL application in a browser window on a PC other than your development PC. The test PC should not have newlook installed.

If newlook is installed on the PC, uninstall it and run the nlclean facility (see WEB-RAMP-NL, Step 4. Post-Requisite Actions and Other Considerations).

When you request a RAMPed screen for the first time, VF_SY120.js will start the automated download and installation of newlook.

You will likely first be prompted as to whether or not you want to install the newlook ActiveX control. Click to install to any security warnings.

Follow the prompts that Internet Explorer displays closely. Depending upon what version of Windows you are running, and certain other factors, you may receive a couple of prompts asking you if it is ok to install the newlook ActiveX control.

You must click Install to any security warnings you receive associated with the ActiveXClient.htm page.

You should see that the Publisher field on the security warnings is set to looksoftware Inc.

After you click Install to the software, the automated download/install process begins. You will see newlook 8.0 updated progress windows while the different cab files are being downloaded.

The installation and configuration process should take about 30 seconds. If this process takes much longer, it is normally a problem with the web server you are using, or your network connection.

For initial testing, it is ok to use any web server that you have available to you (for example, the one on your PC). However, for the automated deployment package you will use for your production users, you will likely want to use a dedicated web server.

Once newlook has been downloaded, your RAMPed screen will appear in the command handler.

Now proceed with <A HREF="VLFDpl_0060.htm"> WEB1, Step 2. Package the Deployment Material on the Source System</A>.


WEB-RAMP-NL, Step 3. Add RAMP-NL Objects to the Deployment Package

Include the files from the RAMP_Newlook folder

Include all the files in the RAMP_Newlook folder files in the Bnn_IFS save file.

· Nlmain.cab

· Newlook.cab

· Nlupdate.txt

· RAMP.cab

newlook.cab – This cab file hosts the newlook ActiveX control (nlocx.dll) and the update program (nlupdate.exe). Internet Explorer will use this newlook.cab file to download and install the newlook ActiveX control if it is not already present on the user’s PC.

nlmain.cab – This cab file hosts the bulk of the newlook program files. It installs most of the files that would normally be installed by the setup wizard when you execute the setup program (i.e. nl80.exe).

nlupdate.nlu – This file tells the newlook update program (nlupdate.exe) where to install newlook to the user’s PC, and where to get the cab files that will be used to install newlook and your customization files.

RAMP.cab - This file contains the newlook.sid and newlook.ini configuration files. These are unique to our particular application.

Note: The RAMP.cab contains objects that will very likely change as you make changes to your system (for example if you identify new screens) so it will need to be redeployed after changes to the RAMP-NL application.

Now proceed with <A HREF="VLFDpl_0060.htm"> WEB1, Step 2. Package the Deployment Material on the Source System</A>.


WEB-RAMP-NL, Step 4. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications

Updating changes to newlook configuration files

When you add new 5250 screens to your RAMPed application or modify the newlook features of an existing screen, these changes are reflected in the newlook.sid file which you will need to redeploy.

To do this, recreate the RAMP.cab files using exactly the same steps as described in WEB-RAMP-NL, Step 2c. Create RAMP.cab file and copy it to the RAMP_Newlook Folder.

Note that even if only one of the files in the RAMP.cab file changes, you should include the other files that you had the first time. This is so that the RAMP.cab file always contains all the files required by new and existing users.

Once the RAMP.cab file is recreated you can move it to your RAMP_NewLook directory on your web server for immediate access to your user.

NOTE: Ensure that you implement this update at the same time as you implement your other related Visual LANSA Framework and RAMP updates.

Testing deployment of changes to newlook configuration files

You will very likely want to test your changes a number of times on the same PC - that is, run the re-install several times.

Before you re-install, you need to remove the newlook files that have already been downloaded, and unregister the newlook ActiveX control (nlocx.dll) and ActiveX server (nlsvr.exe).

To do so, perform the following steps:

1. Execute the nlclean.exe utility on the testing PC. This can be obtained from ftp.looksoftware.com/distributor/tools/nlclean.exe. Answer “Y” to each of the questions in the utility.

2. Delete the newlook web download folder from the testing PC. (if you have followed the naming conventions recommended in our notes, this would be the %Program Files%/LANSA Ramp newlook folder.)

After doing this the RAMP application will realise that newlook needs to be installed again.

There are a number of ways to test your changes.

The following is a possible approach that tests an initial installation then a subsequent modification:

Step 1: Working with a RAMPed application, perform the steps described in WEB-RAMP-NL, Step 2e. Test the Automated Web Deployment Package.

Step 2: Using a new PC without newlook already installed, access the application with the appropriate URL. Ensure that you can run your RAMPed application.

Step 3: Make some changes to the newlook.sid file to ensure that changes are downloaded. For example modify the look of one of your RAMPed screens (re-position the fields in newlook for example) and then perform the steps described in Updating changes to newlook configuration files. Access the URL again and check that the new newlook.sid file is downloaded and that the changes you made on the screen are shown.

Step 4: You should probably also do a full test of the procedures involved in adding new functionality to the RAMPed application. Such a process could include creating a new business object that requires you to identify some new screens in newlook plus run through the choreographer to RAMP the new screens. With this test, you can ensure that both the newlook changes and the script are correctly loaded into the end-user's browser.

NOTE: When testing for updates to newlook ensure that what is occurring is not a complete new installation but only the download of modified files.


Check List/Planning Sheet => WEB-NET

Use this check list in conjunction with <A HREF="VLFDpl_0015.htm"> Check List/Planning Sheet => WEB1</A>, <A HREF="VLFDpl_0290.htm"> Check List/Planning Sheet => WEB2A</A> or <A HREF="VLFDpl_0020.htm"> Check List/Planning Sheet => WEB2B</A>.

Overview

WEB-NET, Step 1. Pre-Requisite Actions and Other Considerations

WEB-NET, Step 2. Create VLF.NET Objects to be Included in the Deployment Package

WEB-NET, Step 3. Add VLF.NET Objects to the Deployment Package

WEB-NET, Step 4. Install Microsoft’s .NET Framework on end-user PCs

WEB-NET, Step 5. Post-Requisite Actions and Other Considerations


Overview

Any Framework Web Browser application can be compiled as a .NET executable. The VLF.NET feature supports all existing and new WAM filters and command handlers and all RAMP-NL screens and scripting.

This check list outlines the steps required to deploy a VLF.NET application.


WEB-NET, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Ensure the VLF. NET feature is suitable for your circumstances

If the users are behind a proxy server that requires them to enter their username and password, the VLF.NET feature cannot be used.

This is a limitation of .NET ClickOnce deployment technology which does not currently support downloading of files through a proxy server that requires non-Windows integrated authentication.

Establish minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise awareness of the risk in implementing an "under the MSC" solution to the appropriate management level.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WEB-NET, Step 2. Create VLF.NET Objects to be Included in the Deployment Package

Step | Activity | How to Do It | ü
Activate the VLF.NET Feature | Open your Framework as a designer. Use the (Framework) -> (Properties…) menu options to display the Framework Details tab. Ensure that the Enable Framework for Web Browser Applications option is checked. Check the Compile Framework as Microsoft .NET Executable option. |  |
Save the Framework | Save the Framework to compile it as a .NET executable. | Use one of the Save options in the (Framework) menu. |


WEB-NET, Step 3. Add VLF.NET Objects to the Deployment Package

Include VLF.NET objects in the deployment package

When you save the framework with the VLF.NET feature activated, additional .NET files are created.

There are four files per language, suffixed with:

· .application

· .exe.manifest,

· .framework.deploy

· .app.exe.deploy

Add these files to your deployment package.

Also add the files VF_WB001.HTM and VF_MULTI_YYY.js (where YYY is the language code).


WEB-NET, Step 4. Install Microsoft’s .NET Framework on end-user PCs

Install Microsoft’s .NET Framework on end-user PCs

Ensure that Microsoft’s .NET Framework 2.0 (or later) and .NET Framework 2.0 Service Pack 1 is installed on end-user PCs.

If .NET Framework 3.5 has been installed, .NET Framework 2.0 Service Pack 1 does not need to be installed separately.

Some problems have been reported when installing .NET Framework 2.0 Service Pack 1 on Vista, in which case .NET Framework 3.5 will be have to be installed.

.NET 2.0 Software Development Kit (SDK) is not required.


WEB-NET, Step 5. Post-Requisite Actions and Other Considerations

Step | Activity | How to Do It | ü
Consider whether you need to set up or deploy any security certificates | See <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_4295.htm','main');"> Digital Certificates</a> in the Framework Guide. |  |

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications


Check List/Planning Sheet => WIN1

Overview

WIN1, Step 1. Pre-Requisite Actions and Other Considerations

WIN1, Step 2. Package the Deployment Material on the Source System

WIN1, Step 3. Move the Deployment Material to the Target System

WIN1, Step 4. Install the Deployment Material on the Target System

WIN1, Step 5. Post-Requisite Actions and Other Considerations


Overview

This check list shows the steps required to deploy an application to a stand-alone Windows workstation with its own database.

In production environments this kind of deployment is unusual, but it is useful in the context of tutorials, demos and testing.


WIN1, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

None

A Framework application ready for deployment

You need to have an executable version of your Framework application ready for deployment

For more information see: <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_3430.htm','main');"> Deploying a Framework Version </a> in the Framework Guide.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WIN1, Step 2. Package the Deployment Material on the Source System

Follow these steps when your application is ready to be deployed.

Step

Activity

How to Do It

ü

Start the Deployment Tool

Logon to Visual LANSA and start the Deployment Tool.

Start Visual LANSA and logon to the partition containing the application to be deployed.

Ensure that you use a user profile which is authorized to the objects that are being deployed.

From the Tools ribbon, select the Deploy button. The Visual LANSA Deployment Tool's main window will open.

Create a Deployment Tool application and package

Create an application and a package using the Deployment Tool.

Base the package on template called XALONE.

Click on the New Application button on the tool bar or select the New command from the Application menu.

Fill in the application details.

Click OK. You are prompted to create a Package. Fill in the package details and click OK.

The Package Control Panel is displayed

Specify package settings

· Deploy System/Partition Definitions

· Omit Object Definitions

· Deploy LANSA Execution Environment

· Deploy Execution Database Support

· Deploy Execution Add-Ons

· Deploy with Component Support

Click on the Package Settings button on the toolbar to display the Package Settings window.

Specify the startup form

Enter the name of the start-up form in your application.

UF_EXEC is the standard start-up form. Most likely you have created your own entry point form so specify its name.

Note that your entry point form needs to point to the correct Framework definition file. For more information see <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_3430.htm','main');"> Deploying a Framework Version </a> in the Framework Guide.

Double-click on the parameter Form to Execute (FORM=) in the Required Execution Parameters area.

Decide what execution parameters need to be prompted

If you want to prompt for a setup parameter when the package is installed, enable the prompting by selecting the parameter and checking the Prompt during installation option.

For example, to enable the Prompting of the Target Directory option, double-click the parameter and select the Prompt during SETUP check box in the window which is displayed.

Add LANSA programs

Add all the LANSA programs in your application.

Add forms starting with FP_*, UF_* and VF_*.

Add reusable parts starting with FP_*, UF_* and VF_*.

, (If you want to be able to run the demonstration system, include all forms and reusable parts starting with DF_* and process DF_PROC, and the *.htm, *.bmp and *icon files required.)

Include process VF_PR001, VF_PROX1 and UF_SYSBR with all their functions.

Click on the Select Repository Objects button. Drag the objects you want to include to the area on the right.

Then select all the objects on the right and select the Cross-Reference icon above the selected components. A new dialog will open to allow you to select the cross-reference settings.

Ensure all required object types are selected

Add Framework Files

If the end-user will be storing user information in DBMS tables VFPPF06/07, you need to include them.

If you are using code tables, include the code table data files FPTAB and FPTABU.

Click Files.

Select the files and click OK.

Add Other Framework Objects

Locate your XML files in the execute directory of your partition (for example C:\Program Files\LANSA\X_WIN95\X_LANSA\x_DEM\execute).

Add these files to the package (if you have saved your Framework definitions with other names, add the corresponding XML files):

· vf_sy001_system.xml

· vf_sy001_users.xml (if using)

· vf_sy001_servers.xml

· vf_sy001_tables.xml

Add U_bif987.dll and u_bif985.dll from the X_LANSA Execute directory.

If you want to deploy default Virtual Clipboard content, select VF_Framework_Virtual_Clipboard_Default.dat and/or VF_User_Virtual_Clipboard_Default.dat.

Bring up the Other Objects tab.

Double-click Non-LANSA Objects to browse for the objects. Make sure you are browsing in the LANSA system you are currently using.

Note that the Deployment Tool does NOT default to the current system and partition, you have to select them manually.

Select the objects and click OK.

Then set the path where the objects are to be installed:

· Use SYSPATH (system execute directory) as the installation Path Id for U_bif987.dll and u_bif985.dll. For the other objects:

· Use DFTPATH as the Installation Path Id (for example *PART_DIR_EXECUTE)

Include your objects

Add your objects (filters, command handlers etc.), multilingual text variables, system variables, message files, files, processes, functions and images used in the application.

Click on the Select Repository Objects button on the toolbar.

Ensure that all non-LANSA objects have correct installation paths specified for the target machine.

Include file data

Include data in the files you have selected.

Note that you would not normally ship all the development user data in tables VFPPF06/07.

However, if no one in the target environment can use UF_DESGN, and the Framework is deployed with security switched on, you might ship the user files containing a single administrative user. A profile for that administrator would have to exist already or be created on the target server.

If a user at the target environment has access to UF_DESGN, the files can be shipped without data, and the person with UF_DESGN can enroll the administrator in VFPPF06/07. From then on the administrator can enroll users using UF_ADMIN.

Select all files and click on the Include File Data button.

The Data column now indicates the files will be included with their data in the package.

Add an icon

Add an icon to be used with the shortcut created on the target machine when the package is installed.

Click on the Application Icon button on the toolbar of the Package Control Panel. Select an icon.

Save the package

Save the package definition.

Build the package

Check and build the package.

Your application package is created in the X_APPS\PackageName directory (for example. C:\Program Files\LANSA\X_WIN95\X_LANSA\ X_APPS\PackageName).

Select the Check Package option in the Options menu. The message you receive should tell that no errors were encountered.

Click on the Build button. Wait for the package compilation to complete.

Note that if you are working in a partition that has not been enabled for full RDMLX, you may see errors saying that the copy of some dlls has failed. Just ignore the messages.


WIN1, Step 3. Move the Deployment Material to the Target System

Step

Activity

How to Do It

ü

Move the deployment material to the target system

Copy the msi file (packagename_v1.0.0_en-us.msi) in the package folder (\X_WIN95\X_LANSA\x_apps\packagename\) to the required destination media such as CD, network server etc.

(Note: Do not copy the entire package directory.)


WIN1, Step 4. Install the Deployment Material on the Target System

Step

Activity

How to Do It

ü

Install the deployment material

Install the package by double-clicking the package .MSI file.

The setup program automatically launches the Framework. When the Framework is first launched executable files are copied and the Framework is displayed.

The application is ready to be used.

If you encounter problems during the installation, check the MSI*.log file in the end user's defined %TEMP% folder, for example: MSI2ce4c.log.

As well as installing the Application, a standard Windows program menu folder will be created for each Application using the Company and Application descriptions as folder names. This means that every Application built with the same Company details and installed on the same PC will be grouped together.


WIN1, Step 5. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Security considerations

Consider setting some important files as read-only for security reasons.

For example, deployed system XML definition files should be set to read-only to prevent end-users from accidentally editing the content of the file.

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications.


Check List/Planning Sheet => WIN2

Overview

WIN2, Step 1. Pre-Requisite Actions and Other Considerations

WIN2, Step 2. Package the Deployment Material on the Source System

WIN2, Step 3. Move the Deployment Material to the Target System

WIN2, Step 4. Install the Deployment Material on the Target System

WIN2, Step 5. Post-Requisite Actions and Other Considerations


Overview

This check list shows the steps required to deploy the client part of a Framework rich client/server application to a workstation that will access an IBM i or Windows remote data server.


WIN2, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

None

On the development system set up the Framework so that users sign on to remote server

Set the Framework to require users to sign on to remote server.

Display the Framework properties and choose the User Administration tab.

In Sign On Settings, specify the option End users must sign on to this Framework and then choose the option Users sign on to a Remote Server to Use the Framework.

Define the server to which the Framework will be connecting when deployed.

Your Framework definition will need to include a definition of the server to which the client application will connect.

If you want to change the server settings on the target machine after you have installed the package, you need to deploy and execute the UF_ADMIN form.

See: <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_1105.htm','main');">Deploying Server Definitions</a> in the Framework guide.

Note that if the server is a Windows server, you need to specify the details of the database the client application will be connecting to.

Choose the Servers option in the Administration menu and ensure there is a definition for the server.

If you are deploying a RAMP-TS application you also need to specify the RAMP-TS server details, making the server the deployment server. The Private Definition Folder is the application folder you will create on the target system.

Define the server in the LANSA Communications Administrator

Click on the LANSA Comms Admin button on the Server Details tab.

Define the server:

A Framework application ready for deployment

You need to have an executable version of your Framework application ready for deployment

For more information see: <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_3430.htm','main');"> Deploying a Framework Version </a> in the Framework Guide.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WIN2, Step 2. Package the Deployment Material on the Source System

Follow these steps when your application is ready to be deployed.

Step

Activity

How to Do It

ü

Start the Deployment Tool

Logon to Visual LANSA and start the Deployment Tool.

Start Visual LANSA and logon to the partition containing the application to be deployed.

Ensure that you use a user profile which is authorized to the objects that are being deployed.

From the Tools ribbon, select the Deploy button. The Visual LANSA Deployment Tool's main window will open.

Create a Deployment Tool application and package

Create an application and a package using the Deployment Tool.

Do not use any template.

Click on the New Application button on the tool bar or select the New command from the Application menu.

Fill in the application details.

Click OK. You are prompted to create a Package. Fill in the package details and click OK.

The Package Control Panel is displayed

Specify package settings

· Deploy to Client Without Local Database

· Deploy System/Partition Definitions

· Omit Object Definitions

· Deploy LANSA Execution Environment

· Deploy with Component Support

· Deploy LANSA Communications

Click on the Package Settings button on the toolbar to display the Package Settings window.

Configure the application to use remote database

Because you are deploying for access to a remote database, you must configure the application not to use a specific database. In the Database section, set the database options to No and specify the DBMS Type (DBUT=) as No Database.

Double-click on the DBMS Type (DBUT=) parameter.

Define the connection behavior

Accept the defaults in the Communications and SuperServer sections.

Specify the startup form

Enter the name of the start-up form in your application.

UF_EXEC is the standard start-up form. Most likely you have created your own entry point form so specify its name.

Note that your entry point form needs to point to the correct Framework definition file. For more information see <A HREF="javascript:void(0);openCHM('lansa048.chm::/lansa/lansa048_3430.htm','main');"> Deploying a Framework Version </a> in the Framework Guide.

Double-click on the parameter Form to Execute (FORM=) in the Required Execution Parameters area.

Decide what execution parameters need to be prompted

If you want to prompt for a setup parameter when the package is installed, enable the prompting by selecting the parameter and checking the Prompt during installation option.

For example, to enable the Prompting of the Target Directory option, double-click the parameter and select the Prompt during SETUP check box in the window which is displayed.

Add LANSA programs

Add all the LANSA programs in your application.

Add forms starting with FP_*, UF_* and VF_*.

Add reusable parts starting with FP_*, UF_* and VF_*.

, (If you want to be able to run the demonstration system, include all forms and reusable parts starting with DF_* and process DF_PROC, and the *.htm, *.bmp and *icon files required.)

Include process VF_PR001, VF_PROX1 and UF_SYSBR with all their functions.

Click on the Select Repository Objects button. Drag the objects you want to include to the area on the right.

Then select all the objects on the right and select the Cross-Reference icon above the selected components. A new dialog will open to allow you to select the cross-reference settings.

Ensure all required object types are selected

Add Other Framework Objects

Locate your XML files in the execute directory of your partition (for example C:\Program Files\LANSA\X_WIN95\X_LANSA\x_DEM\execute).

Add these files to the package (if you have saved your Framework definitions with other names, add the corresponding XML files):

· vf_sy001_system.xml

· vf_sy001_users.xml (if using)

· vf_sy001_servers.xml

· vf_sy001_tables.xml

If you are deploying a RAMP-TS application, add the VF_SY001_nodes.xml file, the corresponding VF_SY001_nodes*.js file and the <framework_name>_eng.js file.

Add U_bif987.dll and u_bif985.dll from the X_LANSA Execute directory.

If you want to deploy default Virtual Clipboard content, select VF_Framework_Virtual_Clipboard_Default.dat and/or VF_User_Virtual_Clipboard_Default.dat.

Bring up the Other Objects tab.

Double-click Non-LANSA Objects to browse for the objects. Make sure you are browsing in the LANSA system you are currently using.

Note that the Deployment Tool does NOT default to the current system and partition, you have to select them manually.

Select the objects and click OK.

Then set the path where the objects are to be installed:

· Use SYSPATH (system execute directory) as the installation Path Id for U_bif987.dll and u_bif985.dll. For the other objects:

· Use DFTPATH as the Installation Path Id (for example *PART_DIR_EXECUTE)

Include your client-side objects

Add your objects (filters, command handlers, start-up forms, etc.), multilingual text variables, system variables, message files, files, processes, functions and images used in the client side of your application.

Click on the Select Repository Objects button on the toolbar.

Ensure that all non-LANSA objects have correct installation paths specified for the target machine.

Add an icon

Add an icon to be used with the shortcut created on the target machine when the package is installed.

Click on the Application Icon button on the toolbar of the Package Control Panel. Select an icon.

Choose Desktop settings

Choose the Desktop settings depending on your preferences.

For example, you may want to select these options:

· Create Communications Administration Shortcut

· Create ODBC Administration Shortcut

Include RAMP-NL objects

If you are deploying a RAMP-NL client that will connect to an IBM i server, you need to add RAMP objects to the package.

Follow the steps in <A HREF="VLFDpl_0050.htm">Check List/Planning Sheet => WIN-RAMP-NL</A>.

Save the package

Save the package definition.

Include the host route for an Application

Include the host route for the server definition (the lroute.dat file) in the package.

From the Visual LANSA Deployment Tool Main window, select your application and then click on the Communications Administrator tool bar button.

The Communications Administrator is displayed. Make sure an entry is specified for the server you have defined in step 1.

Close the Communications Administrator. Make sure the application is selected, and click on the Application menu and select the Package Communications Administration option to select it.

Build the package

Check and build the package.

Your application package is created in the X_APPS\PackageName directory (for example. C:\Program Files\LANSA\X_WIN95\X_LANSA\ X_APPS\PackageName).

Select the Check Package option in the Options menu. The message you receive should tell that no errors were encountered.

Click on the Build button. Wait for the package compilation to complete.

Note that if you are working in a partition that has not been enabled for full RDMLX, you may see errors saying that the copy of some dlls has failed. Just ignore the messages.


WIN2, Step 3. Move the Deployment Material to the Target System

Step

Activity

How to Do It

ü

Move the deployment material to the target system

Copy the msi file (packagename_v1.0.0_en-us.msi) in the package folder (\X_WIN95\X_LANSA\x_apps\packagename\) to the required destination media such as CD, network server etc.

(Note: Do not copy the entire package directory.)


WIN2, Step 4. Install the Deployment Material on the Target System

Warning: Do not test your deployment package on your development system.

Step

Activity

How to Do It

ü

Server system is set up

Before you start installing the client deployment package you must have deployed the server side of the application.

Listener

Make sure you have a listener running on the server.

Install the deployment material

Install the package by double-clicking the package .MSI file.

The setup program automatically launches the Framework. When the Framework is first launched executable files are copied and the Framework is displayed.

The application is ready to be used.

If you encounter problems during the installation, check the MSI*.log file in the end user's defined %TEMP% folder, for example: MSI2ce4c.log.

As well as installing the Application, a standard Windows program menu folder will be created for each Application using the Company and Application descriptions as folder names. This means that every Application built with the same Company details and installed on the same PC will be grouped together.

Optionally install RAMP-NL

If you are installing a RAMP-NL application, follow the steps in <A HREF="WINRAMP_0010.htm">WIN-RAMP-NL, Step 3. Install the Deployment Material on the Target System</A>.

If you are deploying a RAMP-TS application, verify IE settings

Verify IE settings on every PC from which RAMP-TS is used.

See <A HREF="javascript:void(0);openCHM('lansa050.chm::/LANSA/LANSA050_2525.htm','main');">Verify Internet Explorer Security Settings</a> in the RAMP-TS Guide.


WIN2, Step 5. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Security considerations

Consider setting some important files as read-only for security reasons.

For example, deployed system XML definition files should be set to read-only to prevent end-users from accidentally editing the content of the file.

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications.


Check List/Planning Sheet => WIN3

Overview

WIN3, Step 1. Pre-Requisite Actions and Other Considerations

WIN3, Step 2. Package the Deployment Material on the Source System

WIN3, Step 3. Move the Deployment Material to the Target System

WIN3, Step 4. Install the Deployment Material on the Target System

WIN3, Step 5. Post-Requisite Actions and Other Considerations


Overview

This check list shows the steps required to deploy the server part of a Framework rich client/server application to an IBM i server.


WIN3, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

Super Server License

If you need more information, see <a href="http://www.lansa.com/support/licensing/index.htm" class="LinkHyperlink">http://www.lansa.com/support/licensing/index.htm</a>.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WIN3, Step 2. Package the Deployment Material on the Source System

Step

Activity

How to Do It

ü

Assign a build number

Assign a build number nn to the version of your product being released. This number will be used in the following steps for a file naming convention.

Include your own non-LANSA objects

If your application contains non-LANSA objects, create save files containing them. Non-LANSA objects are:

· RPG Programs

· DDS Files

· Cobol Programs

· DB2 files

· Data Areas

· Data Queues

Create as many IBM i save files named Bnn_OM1, Bnn_OM2, etc as required to contain other non-LANSA IBM i objects.

Save all non-LANSA objects into the Bnn_OM1, 2, 3 … n save files files using the SAVOBJ command.

Add LANSA programs

Add some LANSA VLF internal programs in your application.

Include function VFU0038 from process VF_PR001.

Include process UF_SYSBR and all its functions. The functions will be named like UFUnnnn.

If you have created your own IIP functions and snapped them into your Framework, do not forget to include them.

Use the option Add process/functions to the list in the Work with Export List menu to make sure these objects are included in the export list.

Include RAMP-TS objects

If you are deploying a RAMP-TS application you need to add more files to the deployment package.

See <A HREF="winrampts003.htm">WIN-RAMP-TS, Step 2. Prepare Your RAMP-TS Screen Definitions for Deployment</A>.

Create an IBM i Export List | Create a LANSA export list named Bnn_ALL. | Use the option Work with lists of objects to be exported of the LANSA Housekeeping menu to create the export list.
Include your own server-side LANSA objects in the export list | Include your own server-side LANSA objects if any. | Use the options in the Work with Export List menu to make sure all the objects used in your application are included in the export list.
Include save files in the export list | Include the save files you have created in the export list | Use option Add other/non-LANSA objects to the list. Use F20 to find the files.

Add Framework Files

If the end-user will be storing user information in DBMS tables VFPPF06/07, you need to include them.

If you are using code tables, include the code table data files FPTAB and FPTABU.

Use the option Add other/non-LANSA object to the list.

Use F20 to find the files.

Include file data

Include data in the files you have selected.

Note that you would not normally ship all the development user data in tables VFPPF06/07.

However, if no one in the target environment can use UF_DESGN, and the Framework is deployed with security switched on, you might ship the user files containing a single administrative user. A profile for that administrator would have to exist already or be created on the target server.

If a user at the target environment has access to UF_DESGN, the files can be shipped without data, and the person with UF_DESGN can enroll the administrator in VFPPF06/07. From then on the administrator can enroll users using UF_ADMIN.

Export the list

Create a save file Bnn_ALL for your export list using the CRTSAVF command.

Export your export list to the save file using option 7 (= Export) in the Work with Export Lists menu


WIN3, Step 3. Move the Deployment Material to the Target System

There are many ways to physically deploy the Bnn_ALL save file:

· Tape for IBM i

· CD for an IBM i

· CD for a PC

· E-mail

· Web site download


WIN3, Step 4. Install the Deployment Material on the Target System

Step

Activity

How to Do It

ü

Install LANSA for the iSeries on the target IBM i server

From the LANSA CD install LANSA for the iSeries.

Note that the LANSA system has to be on the same version and EPC level as the system on which the deployment material was created.

Follow the instructions in <A HREF="javascript:void(0);openCHM('lansa040.chm','main');"> Installing LANSA on IBM i Guide </A>.

Import deployment material to the application server

Use LANSA's import facility to install everything from the save file Bnn_ALL to the appropriate partition on the target machine.

Use the option Import objects into this partition of the LANSA Housekeeping menu. Check that the import was successful.

Restore RAMP-TS objects

If you are deploying a RAMP-TS application, you need to restore the RAMP-TS objects.

See <A HREF="winrampts004.htm">WIN-RAMP-TS, Step 3. Install your RAMP-TS Screen Definitions at the Deployment Target</A>.

Restore the non-LANSA objects

If your application contains non-LANSA objects, restore everything from the Bnn_OMn files into the appropriate IBM i library on the target system.

Verify the software installation was okay

Check the import job logs for any errors and warnings. If you encounter any errors or warnings you should resolve them before continuing.

If you have any applications that can be run in 5250 then you may test them now. If not, you will need to test everything when the Clients are set up.


WIN3, Step 5. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications.


Check List/Planning Sheet => WIN4

Overview

WIN4, Step 1. Pre-Requisite Actions and Other Considerations

WIN4, Step 2. Package the Deployment Material on the Source System

WIN4, Step 3. Move the Deployment Material to the Target System

WIN4, Step 4. Install the Deployment Material on the Target System

WIN4, Step 5. Post-Requisite Actions and Other Considerations


Overview

This check list shows the steps required to deploy the server part of a Framework rich client/server application to a Windows server.


WIN4, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

Super Server License

If you need more information, see <a href="http://www.lansa.com/support/licensing/index.htm" class="LinkHyperlink">http://www.lansa.com/support/licensing/index.htm</a>.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WIN4, Step 2. Package the Deployment Material on the Source System

Follow these steps when your application is ready to be deployed.

Step

Activity

How to Do It

ü

Start the Deployment Tool

Logon to Visual LANSA and start the Deployment Tool.

Start Visual LANSA and logon to the partition containing the application to be deployed.

Ensure that you use a user profile which is authorized to the objects that are being deployed.

From the Tools ribbon, select the Deploy button. The Visual LANSA Deployment Tool's main window will open.

Create a Deployment Tool application and package

Create an application and a package using the Deployment Tool.

Use the XSRVOTH template.

Click on the New Application button on the tool bar or select the New command from the Application menu.

Fill in the application details.

Click OK. You are prompted to create a Package. Fill in the package details and click OK.

The Package Control Panel is displayed

Configure the database

Specify database options as required.

·

Choose Desktop settings

Choose the Desktop settings depending on your preferences.

For example, you may want to select these options:

· Create Communications Administration Shortcut

· Create ODBC Administration Shortcut

Decide what execution parameters need to be prompted

If you want to prompt for a setup parameter when the package is installed, enable the prompting by selecting the parameter and checking the Prompt during installation option.

For example, to enable the Prompting of the Target Directory option, double-click the parameter and select the Prompt during SETUP check box in the window which is displayed.

Add LANSA programs

Add some LANSA VLF internal programs in your application.

Include function VFU0038 from process VF_PR001.

Include process UF_SYSBR and all its functions. The functions will be named like UFUnnnn.

If you have created your own IIP functions and snapped them into your Framework, do not forget to include them.

Click on the Select Repository Objects button. Drag the objects you want to include to the area on the right.

Then select all the objects on the right and select the Cross-Reference icon above the selected components. A new dialog will open to allow you to select the cross-reference settings.

Ensure all required object types are selected

Add Framework Files

If the end-user will be storing user information in DBMS tables VFPPF06/07, you need to include them.

If you are using code tables, include the code table data files FPTAB and FPTABU.

Click Files.

Select the files and click OK.

Include your server-based objects

Add your server-based objects, including multilingual text variables, system variables, message files, files, processes, functions and images used in the application.

Click on the Select Repository Objects button on the toolbar.

Ensure that all non-LANSA objects have correct installation paths specified for the target machine.

Include file data

Include data in the files you have selected.

Note that you would not normally ship all the development user data in tables VFPPF06/07.

However, if no one in the target environment can use UF_DESGN, and the Framework is deployed with security switched on, you might ship the user files containing a single administrative user. A profile for that administrator would have to exist already or be created on the target server.

If a user at the target environment has access to UF_DESGN, the files can be shipped without data, and the person with UF_DESGN can enroll the administrator in VFPPF06/07. From then on the administrator can enroll users using UF_ADMIN.

Select all files and click on the Include File Data button.

The Data column now indicates the files will be included with their data in the package.

Add an icon

Add an icon to be used with the shortcut created on the target machine when the package is installed.

Click on the Application Icon button on the toolbar of the Package Control Panel. Select an icon.

Save the package

Save the package definition.

Include the host route for an Application

Include the host route for the server definition (the lroute.dat file) in the package.

From the Visual LANSA Deployment Tool Main window, select your application and then click on the Communications Administrator tool bar button.

The Communications Administrator is displayed. Make sure an entry is specified for the server you have defined in step 1.

Close the Communications Administrator. Make sure the application is selected, and click on the Application menu and select the Package Communications Administration option to select it.

Build the package

Check and build the package.

Your application package is created in the X_APPS\PackageName directory (for example. C:\Program Files\LANSA\X_WIN95\X_LANSA\ X_APPS\PackageName).

Select the Check Package option in the Options menu. The message you receive should tell that no errors were encountered.

Click on the Build button. Wait for the package compilation to complete.

Note that if you are working in a partition that has not been enabled for full RDMLX, you may see errors saying that the copy of some dlls has failed. Just ignore the messages.


WIN4, Step 3. Move the Deployment Material to the Target System

Step

Activity

How to Do It

ü

Move the deployment material to the target system

Copy the msi file (packagename_v1.0.0_en-us.msi) in the package folder (\X_WIN95\X_LANSA\x_apps\packagename\) to the required destination media such as CD, network server etc.

(Note: Do not copy the entire package directory.)


WIN4, Step 4. Install the Deployment Material on the Target System

Step

Activity

How to Do It

ü

Set up the Framework user as a Windows user

You need to set up a valid Windows user and password on the target Windows server which will be used by the client application to sign on to the Framework.

If you are using Framework Users and Authority, the same userid and password must also be defined in the Framework.

Note that Windows passwords are case sensitive even though Framework passwords are not. You need to remember this when logging on to Framework because your password will be checked by the target Windows server.

Install the deployment material

Install the package by double-clicking the package .MSI file.

The setup program automatically launches the Framework. When the Framework is first launched executable files are copied and the Framework is displayed.

The application is ready to be used.

If you encounter problems during the installation, check the MSI*.log file in the end user's defined %TEMP% folder, for example: MSI2ce4c.log.

As well as installing the Application, a standard Windows program menu folder will be created for each Application using the Company and Application descriptions as folder names. This means that every Application built with the same Company details and installed on the same PC will be grouped together.

Apply server license

A server license needs to be applied to the server system.

Test the server

Test that your server is correctly set up.

Execute a form that connects to the server from a client PC.

If there are any errors, inspect the x_err.log file on the server.


WIN4, Step 5. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications.


Check List/Planning Sheet => WIN-RAMP-TS

Use this check list in conjunction with <A HREF="VLFDpl_0040.htm"> Check List/Planning Sheet => WIN3</A> when you are deploying a Windows RAMP-TS client to an IBM i server.

Overview

WIN-RAMP-TS, Step 1. Pre-Requisite Actions and Other Considerations

WIN-RAMP-TS, Step 2. Prepare Your RAMP-TS Screen Definitions for Deployment

WIN-RAMP-TS, Step 3. Install your RAMP-TS Screen Definitions at the Deployment Target

WIN-RAMP-TS, Step 4. Post-Requisite Actions and Other Considerations


WIN-RAMP-TS, Step 1. Pre-Requisite Actions and Other Considerations

Step | Activity | How to Do It | ü
Licensing requirements for the target system | Axes-TS needs to be licensed on the target IBM i server. |  |

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WIN-RAMP-TS, Step 2. Prepare Your RAMP-TS Screen Definitions for Deployment

In your development environment your RAMP-TS screen definitions are kept in the Axes Screens folder, typically named \aXes\ts\screens. If you used Private Definition Folder(s) to segment your screen definitions, these will appear as sub-folders of the Axes screens folder.

Step

Activity

How to Do It

ü

Check definition files

Check that any example or testing static or dynamic table definitions have been removed from the respective definition files.

These would typically be unused in the application now - and may fail if they are deployed to a production environment.

Open the Tables_Static.txt and Tables_Dynamic.txt files in your private folder if you have one, or the axes\ts\screens folder, and remove any table definitions that are not required.

Add aXes files to a save file

Copy these files from your development Axes screens folder and/or any associated private definition to a save file:

· application_definition.css (plus application_definition_*.css)

· application_definition.js

· Extension_*.js

· screen_*.js

· screens.jsn

· Tables_Static.txt

· Tables_Dynamic.txt

· Userenv.js

· *.xml

Note that some of these files may not exist in your system.

Also include the uf_sy420_rts.js file if your application uses shared scripts. This file is located in the ts/skins folder or your private definition folder.

If the application is to be displayed in a language other than English, the modified text files, Texts_Cust_*.txt also need to be deployed.

Files named like N.scn represent a single 5250 screen definition. Normally these files are only used while doing RAMP-TS development and do not need to be deployed to execution/run time target systems. You would only include these files in the deployment package if you want to allow people in the target environment to modify screen definitions.

First create a save file using the CRTSAVF command, and then use the IBM i save command to save the files to the save file.

For example this command saves the contents of the /axes directory to a save file:

SAV DEV('/qsys.lib/savefilelib.lib/RAMPTSF.file') OBJ(('/axes'))

This command saves the contents of /axes and /axesdemo directory:

SAV DEV('/qsys.lib/savefilelib.lib/RAMPTSF.file') OBJ(('/axes') ('/axesdemo'))

This command saves the required files in a private folder to a save file:

SAV DEV('/QSYS.lib/QGPL.lib/RAMPTSF.file') OBJ(('/axes/ts/screens/MyFolder/application_definition*.css') ('/Axes/ts/screens/MyFolder/application_definition.js') ('/Axes/ts/screens/MyFolder/Extension_*.js') ('/Axes/ts/screens/MyFolder/screen_*.js') ('/Axes/ts/screens/MyFolder/screens.jsn') ('/Axes/ts/screens/MyFolder/Tables_*.txt') ('/Axes/ts/screens/MyFolder/Userenv.js') ('/Axes/ts/screens/MyFolder/*.xml') ('/Axes/ts/skins/uf_sy420_rts.js')) TGTRLS(V5R3M0)

If you wish to enter this command freehand from the command line, use CALL QCMD. Pressing F11 from within QCMD will provide you with space to enter the SAV command with many objects.

Continue building the server package.

Return to <A HREF="VLFDpl_0040.htm"> Check List/Planning Sheet => WIN3</A>.


WIN-RAMP-TS, Step 3. Install your RAMP-TS Screen Definitions at the Deployment Target

Step

Activity

How to Do It

ü

Install Axes-TS on the target computer

Axes-TS needs to be installed on the target IBM i server.

See <A HREF="javascript:void(0);openCHM('lansa050.chm::/lansa/LANSA050_0180.htm','main');"> Install and Configure RAMP-TS/aXes-TS on your IBM i Server</a>.

Create application folder

On the target system, create an application folder as a subfolder of the \axes\ts\screens folder using the ibm i CRTDIR command.

The name of the folder can contain only letters from the English alphabet or numbers, no blanks.

For example to create folder MyApplication1 in \axes\ts\screens\ folder:

CRTDIR DIR('axes\ts\screens\myapplication1')

Set authorities

Use the IBM i WRKLNK command and make sure that folder MyApplication1 has *R rights for user *PUBLIC and no other rights.

Use WRKLNK OBJ('axes\ts\screens\ MyApplication1') then use option 9=Work with authority to display and alter the authority to folder MyApplication1.

Load tables

SQL commands may be used to load any static or dynamic tables in your application.

Check that the user the aXes server is executing under has READ authorisation to any required SQL/database tables.

The commands execute under the user profile that the aXes server is executing under.

You should authorise that user profile for read access to the SQL tables required for this purpose. This user does not need any rights to other data base tables that may be on the system.

Deploy the save file containing the aXes definitions to the target system

On the target system, use the IBM i RST command to restore the aXes files into the target system's application folder.

Warning: The restored screens.jsn file(s) contains all your RAMP-TS screen definitions.

If someone on the target system starts Axes as a developer/designer and attempts to identify a screen and save the definition, they will cause the screens.jsn file to be (re)published. This will effectively remove all the screen definitions from it except for the new screen they have just defined. In this case you would need to restore the screens.jsn file(s) again.

Note that aXes eXtensions that are to be used by all applications on this system should be placed in the axes/ts/screens folder of the target system, not to individual application folders.

If the same aXes eXtension exists in the screens folder and the application folder, the eXtension in the application folder should take precedence but can not be guaranteed so you should check whick version is being used.

To restore the save file use a command like this:

RST DEV('/qsys.lib/v11vlflib.lib/ramptsf.file') OBJ(('/Axes/ts/screens/MyFolder' *INCLUDE '/axes/ts/screens/myapplication1'))

The DEV parameter specifies the name and path of the save file.

The OBJ parameter specifies:

· First the folder from which the files were saved from

· *INCLUDE the objects that match the object name pattern

· Lastly the folder on the target system to which the files are to be restored.

Verify IE settings

Verify IE settings on every PC from which RAMP-TS is used.

If these settings are not correct, you will get an error like this:

See <A HREF="javascript:void(0);openCHM('lansa050.chm::/lansa/LANSA050_2525.htm','main');">Verify Internet Explorer Security Settings</a> in the RAMP-TS Guide.


WIN-RAMP-TS, Step 4. Post-Requisite Actions and Other Considerations

Step | Activity | How to Do It | ü
Updating changes to 5250 screen definitions | When you add new 5250 screens to your RAMP application or modify the features of an existing screen, these changes are reflected in the screens.jsn file(s) which you will need to redeploy. | Completely or selectively repeat the appropriate steps in this guide. |

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications


Check List/Planning Sheet => WIN-RAMP-NL

Use this check list in conjunction with <A HREF="VLFDpl_0035.htm"> Check List/Planning Sheet => WIN2</A> when you are deploying a Windows RAMP-NL client to an IBM i server (check list WIN3).

Overview

WIN-RAMP-NL, Step 1. Pre-Requisite Actions and Other Considerations

WIN-RAMP-NL, Step 2. Add RAMP-NL Objects to the Deployment Package

WIN-RAMP-NL, Step 3. Install the Deployment Material on the Target System

WIN-RAMP-NL, Step 4. Post-Requisite Actions and Other Considerations


Overview

This check lists shows you how to include your RAMP-NL objects in a Windows client package created as per the instructions in <A HREF="VLFDpl_0035.htm">Check List/Planning Sheet => WIN2</A>.


WIN-RAMP-NL, Step 1. Pre-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Licensing requirements for the target system

Newlook liteclient license needs to be applied to the IBM i application server. No license is required on the client system.

Establish the minimum supported configuration (MSC)

You need to formally define the minimum configuration your solution will viably support, including:

· Minimum hardware requirements

· Minimum software requirements

· Supported screen resolutions

· Minimum networking capabilities

· Maximum data volumes.

A formal MSC will:

· Inform decisions about the overall solution cost

· Establish the environment required to test the deployment of the solution or any patch/hotfix made to it.

· Raise management's awareness of the risk in implementing a "sub-MSC" solution.

For more information refer to <A HREF="javascript:void(0);openCHM('lansa048.CHM::/lansa/lansa048_0040.htm','main');">Application Performance</A> in the Framework Guide.


WIN-RAMP-NL, Step 2. Add RAMP-NL Objects to the Deployment Package

Perform these steps to include RAMP-NL objects in the client package created as per the instructions in check list WIN2.

Step

Activity

How to Do It

ü

Include RAMP-NL non-LANSA objects

Include these objects from the partition execute directory of the RAMP-NL development PC:

· VF_SY001_Nodes.XML

· VF_SY001_Nodes_*.JS (there will be one file for every application session)

· VF_SY120.JS

· VF_SY120.HTM

· UF_SY120.JS

Bring up the Other Objects tab.

Double-click Non-LANSA Objects to browse for the objects.

Locate and select the objects and click OK.

Include newlook customization files

Also, include these objects from the newlook program directory (usually Program Files/looksoftware 8.0) as Non-LANSA objects:

· Newlook.SID

· Newlook.INI

· VF_XP*.nlg file(s)

· Any other custom files specific to you NewLook configuration (for example, images that you have added)

Bring up the Other Objects tab.

Double-click Non-LANSA Objects to browse for the objects.

Locate and select the objects and click OK.

Include the NL80.exe object

or

include newlook program files in the RAMP-NL package

You have the option of including NL80.exe file to be able to manually install newlook on the target PCs, or you can include newlook program files in the package so that newlook is installed automatically with the package.

If you install newlook manually using the offical newlook installation program NL80.exe, your deployment will require less testing, but you will have to perform two distinct installations on every PC.

Locate the Nl80.exe newlook installation application and include it as a Non-LANSA object.

If you do not already have a copy of this, you may download it from the Look Software web site.

Or

Package newlook with RAMP-NL.

Continue packaging the deployment materials

Continue with the steps in <A HREF="VLFDpl_0190.htm">WIN2, Step 2. Package the Deployment Material on the Source System</A>.

Package newlook with RAMP-NL


Package newlook with RAMP-NL

This section describes how to package newlook application files in the RAMP-NL package.

Step

Activity

How to Do It

ü

Ensure newlook is installed and configured correctly on the PC on which you will build the package

Make sure you have newlook 8 installed on the PC where you are going to build the deployment package.

Ensure this is the version you want to deploy to your users’ PCs.

Download the newlook Auto Configuration Program

This program will silently register the newlook ActiveX components and create the required newlook registry keys on the target PC.

Download it into your newlook directory (C:\Program Files\looksoftware 8.0) from:

http://chiweb.lansa.com/public/newlook/Support/Misc/NLAutoConfigure.exe

Add newlook objects

Add all of the files from the root of your newlook directory (usually C:\Program Files\looksoftware 8.0) to the list of Non-LANSA Objects within your package.

Also add all of the files from the newlook Tables directory (C:\Program Files\looksoftware 8.0\Tables).

Do not include objects from any other newlook subdirectories.

Click on the Objects button from the Deployment Tool tool bar.

Then double-click on Non-LANSA Objects on the Other Objects tab. Locate the looksoftware 8.0 directory and select all the objects in the directory.

Repeat the steps to include all the files in the looksoftware 8.0/Tables directory.

If you have added other files to the looksoftware 8.0 directory that are specific to your RAMP-NL application, add them as well. For example if your users will be using printer emulation sessions, add all the .nlp files from the Printers directory.

Set the installation path for newlook program files

Specify the directory to which to install the newlook files on the target PC.

For example:

C:\Program Files\Application Name\newlook directory

Highlight all of the files that have been included from the looksoftware 8.0 root directory, then click the Set the Install Path button on the toolbar:

Now click the Define a new installation path button on the toolbar.

Set the Installation Path ID field to NLROOT. Set the Installation Path field to C:\Program Files\Application Name\newlook, then click OK.

Highlight the NLROOT Path ID, then click the Select Path button:

Your screen should now look something like the image below:

Set the installation path for newlook tables

Repeat the steps above in order to set the Installation Path for files included from the newlook/tables directory to NLTABLES

For example:

C:\Program Files\Application Name\newlook\Tables

Set the Installation Path Id field to NLTABLES. Set the Installation Path field to C:\Program Files\Application Name\newlook\Tables, then click OK.

Note that if you cannot type the full installation path in the Installation Path field, type it into a document and copy and paste it into the field.

Click OK, then save your package before continuing.

Instruct the package to create newlook directories

Instruct the deployment package to create the newlook directories specified above. To do so, we will execute the MD command (i.e. Make Directory) before the installation occurs.

Click the Command button on the Deployment Tool toolbar.

On the Commands to Execute Before Install tab, fill out the following commands. Make sure to include the double quotes as you see them.

ALL MD "C:\Program Files\Application Name"

ALL MD "C:\Program Files\Application Name\newlook"

ALL MD "C:\Program Files\Application Name\newlook\Tables"

Note that you must first create any intermediate directories individually because the Deployment Tool will only create a directory when the intermediate directory exists.

If you have added other directories in your newlook directory, you need to add a command to create those directories as well.

Instruct the package to execute the newlook Auto Configuration Program

Instruct the package to execute the NLAutoConfigure.exe program after installing all the appropriate files.

Remember, this program registers the newlook ActiveX components and creates the newlook registry keys.

On the Commands to Execute After Install tab, set the following command:

ALL Execute "C:\Program Files\Application Name\newlook\NLAutoConfigure.exe"

Click OK.


WIN-RAMP-NL, Step 3. Install the Deployment Material on the Target System

If you have included all newlook program files in the package (see Package newlook with RAMP-NL), newlook and RAMP-NL will be automatically installed.

If you want to install newlook manually, follow these steps:

Warning: Do not test your deployment package on your development system.

Step | Activity | How to Do It | ü
Verify Newlook is installed | If newlook is not already installed on the workstation, locate the nl80.exe which will now be located in the partition execute directory (for example, X_WIN95/X_LANSA/X_DEM/EXECUTE/) Run this application to install newlook. |  |
Copy RAMP-NL files to the Newlook directory | When newlook is installed, copy the following files from the partition execute directory to the newlook directory (this will be Program Files/looksoftware 8.0 directory if you accepted the default settings): · Newlook.SID · Newlook.INI · VF_XP*.nlg file(s) |  |

Note: Ensure that the signon screen on the target IBM i server matches the signon screen on the development system. If you have used the username and password fields to identify the screen, they are usually in the same position on the screen. If they are not, you will need to define a newlook screen override for the signon screen on the target system.


WIN-RAMP-NL, Step 4. Post-Requisite Actions and Other Considerations

Step

Activity

How to Do It

ü

Backup and Recovery strategy

You should have a regular backup and recovery strategy in place for your target system.

Maintenance strategy

You should devise a strategy for deploying modifications you make to your VLF applications